<?php
    $jArray=array('status'=>0);
    if(isset($_POST['reissue_ticket_posting'])){
        $tidID    = $_POST['tid_id'];
        $tinID    = $_POST['tin_id'];
        $tic_no   = $_POST['tic_no'];
        $t_route  = $_POST['t_route'];
        $t_date   = $_POST['t_date'];
        $t_time   = $_POST['t_time'];
        $sale     = $_POST['sale'];
        $fare     = $_POST['fare'];
        $tax      = $_POST['tax'];
        $paid     = $_POST['paid'];

        $td=$db->get_rowData($general->table(24),'tidID',$tidID);
        if(empty($td)){$error=__LINE__;SetMessage(63,'Ticket');}

        if(!isset($error)){
            $info= $db->get_rowData($general->table(25),'tiID',$td['tiID']);
            $data=array(
                'tiName'    =>$info['tiName'],
                'tiTicketNo'=>$tic_no,
                'tiRoute'   =>$t_route,
                'tiDate'    =>strtotime($t_date),
                'tiTime'   =>strtotime($t_time),
                'tiAttachPp'=>$info['tiAttachPp'],
                'createdBy' =>UID,
                'createdOn' =>TIME,
                'modifiedBy'=>UID,
                'modifiedOn'=>TIME,
            );

            $trStart= $db->transactionStart();

            $tiID   = $db->insert($general->table(25),$data,'getId');
            if($tiID){
                $func_one   = $td['tidFone'];
                $func_two   = $td['tidFtwo'];
                $func_three = $td['tidFthree'];
                $src        =(($fare*$func_one)/100)+(($tax*$func_two)/100)+$func_three;
                $data=array(
                    'tiID'      =>$tiID,
                    'tinID'     =>$tinID,
                    's_id'      =>$td['s_id'],
                    'tidSale'   =>$sale,
                    'tidFare'   =>$fare,
                    'tidTax'    =>$tax,
                    'tidPaid'   =>$paid,
                    'tidFone'   =>$td['tidFone'],
                    'tidFtwo'   =>$td['tidFtwo'],
                    'tidFthree' =>$td['tidFthree'],
                    'tidSRC'    =>$src,
                    'tidType'   =>TICKET_TYPE_REISSUE,
                    'createdBy' =>UID,
                    'createdOn' =>TIME,
                    'modifiedBy'=>UID,
                    'modifiedOn'=>TIME,
                );
                $insert=$db->insert($general->table(24),$data);

                if($insert){
                    $data=array(
                        'tidID'     =>$tidID,
                        'tinID'     =>$tinID,
                        'tpType'    =>PAYMENT_CASH,
                        'tpAmount'  =>$paid,
                        'createdBy' =>UID,
                        'createdOn' =>TIME,
                        'tpAction'  =>PAYMENT_ACTION_APPROVED
                    );
                    $insert= $db->insert($general->table(26),$data); 

                    if(!$insert){
                        $error=__LINE__;
                    }

                    $inv=$db->get_rowData($general->table(23),'tinID',$tinID);

                    $total_bill     =0;
                    $total_fair     =0;
                    $total_receive  =0;
                    $totalDue       =0;
                    $profit         =0;
                    $totalProfit    =0;

                    $total_bill     = $inv['tinBill']+$sale;
                    $total_fair     = $inv['tinFair']+$fare;
                    $total_receive  = $inv['tinReceive']+$paid;


                    $totalDue   = $total_bill-$total_receive;
                    $profit     = $total_bill-$total_fair;
                    $totalProfit= $profit-$totalDue;

                    $data=array(
                        'tinBill'   => $total_bill,
                        'tinFair'   => $total_fair,
                        'tinReceive'=> $total_receive,
                        'tinDue'    => $totalDue,
                        'tinProfit' => $totalProfit,
                        'modifiedBy'=> UID,
                        'modifiedOn'=> TIME
                    );
                    $where=array(
                        'tinID' => $tinID
                    );

                    $update= $db->update($general->table(23),$data,$where);

                    if($update){
                        /*  $in= $db->get_rowData($general->table(23),'tinID',$tinID);
                        if(!empty($in)){
                        $cus= $db->get_rowData($general->table(22),'cID',$in['cID']);
                        if(!empty($cus['cEmail'])){
                        $send_mail=$mail->newVisaEmail($cus['cEmail'],$viID);
                        }
                        }*/
                    }else{
                        $error=__LINE__;
                    }

                }else{
                    $error=__LINE__;
                }
            }else{
                $error=__LINE__;
            }
        }

        if(!isset($error)){ 
            SetMessage(114);
            $jArray['status']=1;
        }else{
            SetMessage(66);
        }

        if(!isset($error)){$ac='COMMIT';}else{$ac='ROLLBACK';}mysql_query($ac);
    }

    $jArray['m']=show_msg('Yes');
    if(isset($error)){
        if(SHOW_ERROR_LINE=='Yes'){
            $jArray['e']=$error;
        }
    }

    echo json_encode($jArray);
?>
