<?php
    class CRM{
        private $db;
        private $general;
        function __construct(){
            $this->db = new DB();
            $this->general = new General();
        }
       
        public function allUsers($query=''){
            return $this->db->selectAll($this->general->table(17),'where rlID!='.SUPERADMIN_USER.' '.$query,'uID,uFullName');
        }
        public function arrayUserInfoAdd(&$array){
            $array['createdBy']=UID;
            $array['createdOn']=TIME;
            $array['modifiedBy']=UID;
            $array['modifiedOn']=TIME;
        }
        public function arrayUserInfoAddUpdate(&$array){
            $array['modifiedBy']=UID;
            $array['modifiedOn']=TIME;
        }
        public function leftMenuLiCreate($cmId,$slug,$title,$currentSlug=''){
            if($slug!='javascript:void();'){$rs = '?'.MODULE_URL.'='.$slug;}else{$rs=$slug;}
            if($this->db->modulePermission($cmId)==true){?><li><a href="<?php echo $rs;?>" <?php echo ($currentSlug==$rs)?'class="subactive"':'';?>><?php echo $title;?></a></li><?php }
        }
        function businessInfoByID($bID,$echo='No'){ return $this->db->get_rowData($this->general->table(39),'bID',$bID,$echo);}
        function customerInfoByID($cID){return $this->db->get_rowData($this->general->table(22),'cID',$cID);}
        function productInfoByID($pID,$echo='No'){return $this->db->get_rowData($this->general->table(8),'pID',$pID,$echo);}

        public function userNameByID($uID){ return $this->db->get_data($this->general->table(17),'uID',$uID,'uFullName');}
        public function userInfoByID($uID){ return $this->db->get_rowData($this->general->table(17),'uID',$uID);}
        
        public function permissionSetForModule($uID,$cmId,$st){
            if($st==1){
                $data = array('uID'=>$uID,'cmId'=>$cmId);
                $this->db->delete($this->general->table(29),$data);
                $insert = $this->db->insert($this->general->table(29),$data);
            }
            else{
                $where = array('uID'=>$uID,'cmId'=>$cmId);
                $this->db->delete($this->general->table(29),$where);
            }
        }
        public function permissionSetForPermission($uID,$perID,$st){
            if($st==1){
                $data = array('uID'=>$uID,'perID'=>$perID);
                $this->db->delete($this->general->table(21),$data);
                $insert = $this->db->insert($this->general->table(21),$data);
            }
            else{
                $where = array('uID'=>$uID,'perID'=>$perID);
                $this->db->delete($this->general->table(21),$where);
            }
        }
    }
?>