<?php
    require_once('tcpdf.php');
    class MYPDF extends TCPDF {

        //Page header
        public function Header() {
            if(isset($_GET['pad'])){
                $this->Image('logo.png',165,10,0, 15, 'PNG', 'http://www.optimalbd.com');
            }
            //            $style = array('width' => 0.5, 'cap' => 'square', 'join' => 'miter', 'dash' => 0, 'phase' => 0, 'color' => array(0,205,50));
        }
        // Page footer
        public function Footer() {

            if(isset($_GET['pad'])){
                // margini del footer
                $this->SetY(-15);
                // Set font
                $this->SetFont('helvetica', 'I', 8);
                // Page number
                $this->Cell(0, 10, 'Page '.$this->getAliasNumPage().'/'.$this->getAliasNbPages(), 0, false, 'R', 0, '', 0, false, 'T', 'M');
                $st=260;
                $fs=7;
                $this->Line(5,$st,203,$st,array('dash'=>1));
                $this->CreateTextBox('Corporate Office :',-10,$st,80,10,6,'B');
                $this->CreateTextBox('House # 74 & 75, Block # c, Road #6, Banani, Dhaka-1213, Bangladesh, PABX: 8828377, 9883094, 8812244, 9891548, 8814559, 8817023, Fax: 880-2-8823691, P.O.Box: 9096, E-mail: info@ubsbd.com.bd, do@ubsbd.com.bd',8,$st,80,10,5);
                $st+=3;
                $this->CreateTextBox('IDB Bhaban Branch :',-10,$st,80,10,6,'B');
                $this->CreateTextBox('Phone: 9143770, Cell: 01755579779, E-mail: idb@ubsbd.com.bd,',11,$st,80,10,5);
                $this->CreateTextBox('Multiplan Branch :',63,$st,80,10,6,'B');
                $this->CreateTextBox('Phone: 880-2-9613917, Cell 01733-037349, E-mail: ubspc@ubsbd.com.bd',82,$st,80,10,5);
                $st+=3;
                $this->CreateTextBox('Uttara Branch :',-10,$st,80,10,6,'B');
                $this->CreateTextBox('Phone: 880-2-8951693, Cell: 01730-044408, E-mail: uttara@ubsbd.com.bd,',6,$st,80,10,5);
                $this->CreateTextBox('Stadium Branch-1 :',66,$st,80,10,6,'B');
                $this->CreateTextBox('Phone: 9564986, 9571319, Cell: 01711-549433, E-mail: ussstadium@yahoo.com',86,$st,80,10,5);
                $st+=3;
                $this->CreateTextBox('Stadium Branch-2 :',-10,$st,80,10,6,'B');
                $this->CreateTextBox('Phone: 9557008, Cell: 01730044417, E-mail: ussstadium@yahoo,',10,$st,80,10,5);
                $this->CreateTextBox('Chittagong Branch :',62,$st,80,10,6,'B');
                $this->CreateTextBox('Phone: 725540, 2517007, Fax: 880-31-725540, Mobile: 01730-044413, E-mail: ctg@ubsbd.com.bd',83,$st,80,10,5);
                $st+=3;
                $this->CreateTextBox('CCC Branch :',-10,$st,80,10,6,'B');
                $this->CreateTextBox('Phone: 031-2514245, Cell: 01755579778, E-mail: ccc@ubsbd.com.bd,',5,$st,80,10,5);
                $this->CreateTextBox('Sylhet Branch :',62,$st,80,10,6,'B');
                $this->CreateTextBox('Tel & fax: 821-710364, Cell: 01730044407, E-mail: syl@ubsbd.com.bd',78,$st,80,10,5);
                $st+=7;
                $this->SetTextColor(255,43,43); 
                $this->CreateTextBox('www.ubsbd.com.bd ',65,$st,0,10,10,'B');
            }
        }

        public function CreateTextBox($textval, $x = 0, $y, $width = 0, $height = 10, $fontsize = 8, $fontstyle = '', $align = 'L') {
            $this->SetXY($x+20, $y); // 20 = margin left
            $this->SetFont(PDF_FONT_NAME_MAIN, $fontstyle, $fontsize);
            $this->Cell($width, $height, $textval, 0, false, $align);
        }

    }

    $pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);

    $pdf->SetCreator(PDF_CREATOR);
    $pdf->SetAuthor('ABDUS SALAM');
    $pdf->SetTitle('PDF Try');
    $pdf->SetSubject('Unique CRM');
    $pdf->SetKeywords('Unique CRM , optimal');

    $pdf->SetMargins(20, 30, PDF_MARGIN_RIGHT);

    $pdf->SetAutoPageBreak(TRUE, 45);

    $pdf->AddPage();

    $pdf->Ln(10);

    // Set font
    $pdf->SetFont('helvetica', '', 9);

    /*************************************/
    /***             TABLE             ***/
    /*************************************/

    $st=25;
    $fs=10;
    $pdf->CreateTextBox('Ref No. UBS/93/101.',0,$st,80,10,$fs,'B');
    $st+=4;
    $pdf->CreateTextBox('Date: 4th October 2014',0,$st,80,10,$fs);
    $st+=8;
    $pdf->CreateTextBox('Procurement Unit', 0, $st, 80, 10, $fs);
    $st+=4;
    $pdf->CreateTextBox('American Embassy Dhaka,',0,$st,80,10,$fs);
    $st+=4;
    $pdf->CreateTextBox('Bangladesh',0,$st,80,10,$fs);
    $st+=4;
    $pdf->CreateTextBox('E-mail: DordanaSX@state.gov',0,$st,80,10,$fs);
    $st+=8;
    $pdf->CreateTextBox('Contact: Ms.Sohana Dordana',0,$st,80,10,$fs);
    $st+=8;
    $pdf->CreateTextBox('Sub:',0,$st,80,10,$fs);
    $pdf->CreateTextBox('Quotation for Apollo Motorized Screen',8,$st,80,10,$fs,'BU');
    $st+=8;
    $pdf->CreateTextBox('Dear Sir,',0,$st,80,10,$fs);
    $st+=8;
    $pdf->CreateTextBox('With Reference to your recent inquiry regarding the Motorized screen dated 4th October 2009, Unique',0,$st,80,10,$fs);
    $st+=4;
    $pdf->CreateTextBox('Systems would like to express our sincere gratitude for showing the interest on our product.',0,$st,80,10,$fs);
    $st+=8;
    $pdf->CreateTextBox('You will be pleased to know that Unique Business Systems is the authorized distributor of Apollo',0,$st,80,10,$fs);
    $st+=4;
    $pdf->CreateTextBox('Presentation Ltd. Unique Business Systems is having 60% market share in the training equipment for last ',0,$st,80,10,$fs);
    $st+=4;
    $pdf->CreateTextBox('15 years.',0,$st,80,10,$fs);
    $st+=8;
    $pdf->CreateTextBox('With reference to your recent inquiry on the above subject. we are pleased to submit our quotation as ',0,$st,80,10,$fs);
    $st+=4;
    $pdf->CreateTextBox('follows for your kind acceptance:',0,$st,80,10,$fs);
    
    $st+=15;$pdf->CreateTextBox('',0,$st,80,10,$fs);

    $w=12;
    $x=20;
    //This line use for html table set to right place;
    $pdf->MultiCell(.5,.5,"",array('LTRB' => array('width' => 2,'color' => array(255,255,255))),'', true, 1, $x, $st, true, 0);
    $tbl = 
    <<<EOD
    <style type=text/css>
    .sl_no{
        width:35px;
        text-align:left;
    } 
    .invoice_pt{
        width:200px;
        text-align:left;
    }
    .invoice_qt{
        width:50px;
        text-align:right;
    }
    .invoice_up{
        width:80px;
        text-align:right;
    }
    .invoice_tp{
        width:75px;
        text-align:right;
    }
    </style>
<table class="invoice_main" border="1" align="center" cellspacing="0" cellpadding="60%">
    <tr>
    <th class="sl_no">Sl.No.</th>
    <th class="invoice_pt">Particulars</th>
    <th class="invoice_qt">Qty</th>
    <th class="invoice_up">Unit Price<br> (Tk.)</th>
    <th class="invoice_tp">Total Price<br> (Tk.)</th>
    </tr>
   
    
EOD;

    for($i=0;$i<10;$i++){

        $tbl.=<<<eod
    <tr nobr="true">
    <td class="sl_no">01</td>
    <td class="invoice_pt">
    Motorized Projection Screen:<br>
    Brand: Apollo, Size: 70" x 70"<br>
    Type: Tripod, Made in USA<br>
    Remote controller<br>
    Input power: 220 volt and 50 hz.
    </td>
    <td class="invoice_qt">01</td>
    <td class="invoice_up">
    <strong>18,500.00</strong><br>
    (Eighteen thousand five hundred only)
    </td>
    <td class="invoice_tp">
    <strong>18,500.00</strong><br>
    (Eighteen thousand five hundred only)
    </td>
    </tr>
eod;
    }

    $tbl.=<<<eod
    
    <tr>
    <td>&nbsp;</td>
    <td colspan="3" style="text-align:right;">
    <strong>Total Price = </strong>
    </td>
    <td style="text-align:right;">
    37,000.00
    </td>
    </tr>
    <tr>
    <td>&nbsp;</td>
    <td colspan="3" style="text-align:right;">
    <strong>Total Price in Word = </strong>
    </td>
    <td style="text-align:right;">
    37,000.00
    </td>
    </tr>
    </table>
eod;

    $pdf->writeHTML($tbl, true, false, true, false, 'L');

    //Close and output PDF document
    $pdf->Output('test.pdf', 'I');


?>