<?php
    $viID = $_GET['visa_id'];
    $v = $db->get_rowData($general->table(3),'viID',$viID);
    if(empty($v)){$error='Invalid Visa Invoice' ;}
    if(!isset($error)){
        $c = $db->get_rowData($general->table(22),'cID',$v['cID']);
        $cInfo = $db->get_rowData($general->table(2),'id',1);
        require_once('tcpdf/tcpdf.php');
        include_once("multilink_pdf_functions.php");
        $pageMaxY=245;
        $pdf = new MYPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, PDF_PAGE_FORMAT, true, 'UTF-8', false);
        $pdf->setCompanyVar($cInfo);
        $pdf->setVisaVar($v);
        
        $u=$crm->userInfoByID($v['createdBy']);
        $pdf->setUserVar($u);
        $pdf->setCustomerVar($c);
        $pdf->SetCreator(PDF_CREATOR);
        $pdf->SetAuthor('ABDUS SALAM');
        $pdf->SetTitle('Visa Invoice PDF');
        $pdf->SetSubject('Visa Invoice');
        $pdf->SetKeywords('Optimal IT Limited');
        $pdf->SetMargins(1,1, PDF_MARGIN_RIGHT);
        $pdf->SetAutoPageBreak(TRUE,1);
        $pdf->AddPage('P','A4');
        $pdf->Ln(10);
        $pdf->SetDefaultMonospacedFont(PDF_FONT_MONOSPACED);
        // Set font
        $pdf->SetFont(INVOICE_FONT_NAME, '', 9);


        $yPosition=30;
        $fs=10;
        $cY=$pdf->saleInvoiceHeader(30);
        $pgw=$pdf->getPageWidth();
        $pdf->SetFont(INVOICE_FONT_NAME, 'B',10);
        $txtwidth=$pdf->GetStringWidth('INVOICE');
        $pdf->MultiCell(0,0,'INVOICE',0,'L',false,1,($pgw-$txtwidth)-16,20);
        $pdf->SetFont(INVOICE_FONT_NAME, '', 9);
        $w=12;
        $x=20;
        $c1w=$pdf->c1w;$c2w=$pdf->c2w;$c3w=$pdf->c3w;$c4w=$pdf->c4w;$c5w=$pdf->c5w;$c6w=$pdf->c6w;
        //        $cY+=17.4;
        //        $cY+=10;
        $cY=$pdf->saleInvoiceTableHeader($cY);

        $cH=10;
        $i=1;
        $currntPageHeight=ceil($pdf->getPageHeight()-$pdf->GetY())-50;
        $pageTotal=0;
        $totalQnty=0;
        $products = $db->selectAll($general->table(4),'where viID='.$viID);
        $vt= $db->selectAll($general->table(53));$general->arrayIndexChange($vt,'vtID');
        foreach($products as $p){
            $ps=$db->get_rowData($general->table(5),'psID',$p['psID']);
            $cX=$pdf->leftMargin;
            
            $nextY=$cH+$cY;
            if($nextY>$pdf->visaPageMaxY){
                $pdf->saleInvoiceFooter($cY,$pageTotal);
                $pdf->SetPrintHeader(true);
                $pdf->SetPrintFooter(true);   
                $pdf->AddPage('P','A4');
                $newPage=1;
                $cY=$pdf->saleInvoiceHeader(50);
                $pageTotal=0;
                $cY=$pdf->saleInvoiceTableHeader($cY);
            }
            $pdf->setCellPaddings(2,2,2,0);
            $pdf->MultiCell($pdf->c1w,$cH,$i,'LR','C','','',$cX,$cY);
            $cX+=$pdf->c1w;
            $pdf->MultiCell($pdf->c2w,$cH,$ps['psName'],'R','L','','',$cX,$cY);
            $cX+=$pdf->c2w;
            $pdf->MultiCell($pdf->c3w,$cH,$ps['psNumber'],'R','L','','',$cX,$cY);
            $cX+=$pdf->c3w;
            //$pdf->setCellPaddings(0,2,2,0);
            $pdf->MultiCell($pdf->c4w,$cH,$vt[$p['vtID']]['vtTitle'],'R','L','','',$cX,$cY);
            $cX+=$pdf->c4w;
            $pdf->MultiCell($pdf->c5w,$cH,number_format($p['vidReceivable'],2),'R','R','','',$cX,$cY);
            
            $cY+=$cH;
            $i++;

        }
        if(isset($newPage))$cY-=$cH;
        if($cY+20>$pdf->visaPageMaxY){
            $pdf->saleInvoiceFooter($cY,$pageTotal);
            $pdf->SetPrintHeader(true);
            $pdf->AddPage('P','A4');
            $cY=$pdf->saleInvoiceHeader(50);
            //$cY=90;                        
            $cY=$pdf->saleInvoiceTableHeader($cY);
            $pdf->SetLineStyle(array('dash'=>0));
        }

        $serials=array();
        $pdf->saleInvoiceFooter($cY,$pageTotal);

//        $pdf->Output('print_invoice/'.$viID.'.pdf', 'I');
        $pdf->Output('print_invoice/inv-'.$viID.'.pdf', 'F');
        $general->redirect(URL.'/print_invoice/inv-'.$viID.'.pdf');
    }
    else{echo $error;}
?>