<?php
    $tPTbl=15;
    $pageTitle  = 'Airline';
    $addRole    = 21;
    $editRole   = 22;

    $AddStatus     = $db->permission($addRole);
    $EditStatus    = $db->permission($editRole); 

    if(isset($_GET['add'])){
        if(empty($AddStatus)){$general->redirect($pUrl,array(52,'Add '.$pageTitle));}
        $data = array($pUrl=>$rModule['cmTitle'],1=>'Add '.$pageTitle);$general->breadcrumb($data);

        if(isset($_POST['add'])){
            $title = $_POST['name'];
            if(empty($title)){$error=__LINE__;SetMessage(36,'Title');}
            if(!isset($error)){
                $data=array(
                    'aName'     => $title,
                    'createdBy' => UID,
                    'createdOn' => TIME,
                    'modifiedBy'=> UID,
                    'modifiedOn'=> TIME
                );
                $insert =$db->insert($general->table($tPTbl),$data);
                if($insert){
                    $general->redirect($pUrl,array(29,$pageTitle));
                }else{
                    SetMessage(66); 
                } 

            }
        }
    ?>
    <div class="page-header">
        <h1>
            Add <?php echo $pageTitle;?> 
        </h1>
    </div>
    <div class="row">
        <div class="col-xs-12">
            <?php show_msg();?>
            <form method="POST">
                <!-- PAGE CONTENT BEGINS -->
                <div class="row">
                    <div class="col-xs-6">
                        <div class="form-horizontal crmform">
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Title <span>*</span> </label>

                                <div class="col-sm-9">
                                    <input type="text" name="name" value="<?php echo @$_POST['name'] ;?> " required="required" class="col-sm-12"  id="form-field-1" autofocus="autofocus">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"></label>

                                <div class="col-sm-9">
                                    <input type="submit" name="add" value="Create" class="btn btn-info">
                                </div>
                            </div>
                        </div>    
                    </div>
                </div>
                <!-- PAGE CONTENT ENDS -->
            </form>
        </div><!-- /.col -->
    </div><!-- /.row -->
    <?php 
    }
    elseif(isset($_GET['edit'])){
         if(empty($EditStatus)){$general->redirect($pUrl,array(52,'Edit '.$pageTitle));}
        $data = array($pUrl=>$rModule['cmTitle'],1=>'Edit '.$pageTitle);$general->breadcrumb($data);

        $aID=$_GET['edit'];
        $airlince=$db->get_rowData($general->table($tPTbl),'aID',$aID);
        if(empty($airlince)){
            $general->redirect($pUrl,array(37,$pageTitle));
        }
        if(isset($_POST['edit'])){
            $title = $_POST['name'];
            if(empty($title)){$error=__LINE__;SetMessage(36,'Title');}
            if(!isset($error)){
                $data= array(
                    'aName'     => $title,
                    'modifiedBy'=> UID,
                    'modifiedOn'=> TIME,
                );
                $where=array(
                    'aID'  => $aID
                );
                $update= $db->update($general->table($tPTbl),$data,$where);
                if($update){
                    $general->redirect($pUrl,array(121,$pageTitle));
                }else{
                    SetMessage(66); 
                } 
            }
        }
    ?>
    <div class="page-header">
        <h1>
            Edit <?php echo $pageTitle;?> 
        </h1>
    </div><!-- /.page-header -->
    <div class="row">
        <div class="col-xs-12">
            <?php show_msg();?>
            <form method="POST">
                <!-- PAGE CONTENT BEGINS -->
                <div class="row">
                    <div class="col-xs-6">
                        <div class="form-horizontal crmform">
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Title<span>*</span> </label>

                                <div class="col-sm-9">
                                    <input type="text" name="name" class="col-sm-12"  id="form-field-1"  value="<?php echo $airlince['aName']; ?>">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"></label>

                                <div class="col-sm-9">
                                    <input type="submit" name="edit" value="Update" class="btn btn-success">
                                </div>
                            </div>
                        </div>    
                    </div>
                </div>
                <!-- PAGE CONTENT ENDS -->
            </form>
        </div><!-- /.col -->
    </div><!-- /.row -->
    <?php  
    }
    elseif(isset($_GET['order'])){
        $data = array($pUrl=>$rModule['cmTitle'],1=>'Order Banks');$general->breadcrumb($data);

        $db->dragNdropOrder($tPTbl,11);
    }
    else{
        $data = array(1 =>$rModule['cmTitle']);$general->breadcrumb($data);
    ?>
    <div class="page-header">
        <h1>
            <?php echo $pageTitle;?> 
        </h1>
    </div><!-- /.page-header -->
    <div class="row">
        <div class="col-xs-12">
            <!-- PAGE CONTENT BEGINS -->
            <?php show_msg();?>
            <div class="row">
                <div class="col-xs-9">   
                </div>
                <div class="col-xs-3">
                    <?php if(!empty($AddStatus)){?><a class="btn btn-success btn-sm" id="id-btn-dialog2" href="<?php echo URL; ?>?module=airlince&add=1">Create</a><?php } ?>

                    <a class="btn btn-success btn-sm rang" id="id-btn-dialog2" href="<?php echo URL; ?>?module=airlince&order=1">Rearrange</a>
                </div>
                <div class="col-xs-12">
                    <table class="table table-bordered crmmtop">
                        <thead>
                            <tr>
                                <th class="detail-col">SN</th>
                                <th>Name</th>
                                <?php if(!empty($EditStatus)){?>
                                    <th>Edit</th>
                                    <?php } ?>
                                <th>Status</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $sl=1;
                                $airlince= $db->selectAll($general->table($tPTbl),'where isActive=1 order by aOrder ASC');
                                foreach($airlince as $b){
                                ?>
                                <tr>
                                    <td><?php echo $sl++; ?></td>
                                    <td><?php echo $b['aName']; ?></td>
                                    <?php if(!empty($EditStatus)){?>
                                    <td>
                                        <a href="<?php URL; ?>?module=airlince&edit=<?php echo $b['aID'];?>" class="btn btn-xs btn-info">
                                            <i class="ace-icon fa fa-pencil bigger-120"></i>
                                        </a>
                                    </td>
                                    <?php }?>  
                                    <td>
                                        <label>
                                            <input type="checkbox" checked="checked" class="ace ace-switch ace-switch-4" name="switch-field-1">
                                            <span class="lbl"></span>
                                        </label>
                                    </td>
                                </tr>
                                <?php
                                }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div><!-- /.row -->
            <!-- PAGE CONTENT ENDS -->
        </div><!-- /.col -->
    </div><!-- /.row -->
    <?php
    }
?>