<?php
    $tPTbl=9;
    $pageTitle  = 'Visa Source';
    $addRole    = 13;
    $editRole   = 14;

    $AddStatus     = $db->permission($addRole);
    $EditStatus    = $db->permission($editRole); 

    if(isset($_GET['add'])){
        if(empty($AddStatus)){$general->redirect($pUrl,array(52,'Add '.$pageTitle));}
        $data = array($pUrl=>$rModule['cmTitle'],1=>'Add Country');$general->breadcrumb($data);

        if(isset($_POST['add'])){
            $name       = $_POST['name'];
            $sort_name  = $_POST['sort_name'];
            $mobile     = $_POST['mobile'];
            $Address    = $_POST['address'];

            if(empty($name)){$error=__LINE__;SetMessage(36,'Name');}
            if(empty($sort_name)){$error=__LINE__;SetMessage(36,'Sort Name');}
            if(empty($mobile)){$error=__LINE__;SetMessage(36,'Mobile');}
            if(!isset($error)){
                $data=array(
                    's_name'        => $name,
                    's_sort_name'   => $sort_name,
                    's_mobile'      => $mobile,
                    's_address'     => $Address,
                    's_address'     => $Address,
                    's_create_by'   => UID,
                    's_create_on'   => TIME,
                );
                $insert =$db->insert($general->table($tPTbl),$data);
                if($insert){
                    $general->redirect($pUrl,array(29,'Source'));
                }else{
                    SetMessage(66); 
                } 

            }
        }
    ?>
    <div class="page-header">
        <h1>
            Add <?php echo $pageTitle;?> 
        </h1>
    </div><!-- /.page-header -->
    <div class="row">
        <div class="col-xs-12">
            <?php show_msg();?>
            <form method="POST">
                <!-- PAGE CONTENT BEGINS -->
                <div class="row">
                    <div class="col-xs-6">
                        <div class="form-horizontal crmform">
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Name<span>*</span> </label>
                                <div class="col-sm-9">
                                    <input type="text" name="name" value="<?php echo @$_POST['name'] ;?> " required="required" class="col-sm-12"  id="form-field-1" autofocus="autofocus">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Sort Name<span>*</span> </label>
                                <div class="col-sm-9">
                                    <input type="text" name="sort_name" value="<?php echo @$_POST['sort_name'] ;?> " required="required" class="col-sm-12"  id="form-field-1" autofocus="autofocus">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Mobile<span>*</span> </label>
                                <div class="col-sm-9">
                                    <input type="text" name="mobile" value="<?php echo @$_POST['mobile'] ;?> " required="required" class="col-sm-12"  id="form-field-1" autofocus="autofocus">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Address</label>
                                <div class="col-sm-9">
                                    <textarea name="address" class="form-control" style="background: transparent none repeat scroll 0% 0% ! important; z-index: auto; position: relative; line-height: 20px; font-size: 14px; transition: none 0s ease 0s ;" data-gramm="true"  spellcheck="false" data-gramm_editor="true"><?php echo @$_POST['address'] ?></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"></label>

                                <div class="col-sm-9">
                                    <input type="submit" name="add" value="Create" class="btn btn-success">
                                </div>
                            </div>
                        </div>    
                    </div>
                </div>
                <!-- PAGE CONTENT ENDS -->
            </form>
        </div><!-- /.col -->
    </div><!-- /.row -->
    <?php 
    }
    elseif(isset($_GET['edit'])){
        if(empty($EditStatus)){$general->redirect($pUrl,array(52,'Edit '.$pageTitle));}
        $data = array($pUrl=>$rModule['cmTitle'],1=>'Edit '.$pageTitle);$general->breadcrumb($data);

        $s_id=$_GET['edit'];
        $source=$db->get_rowData($general->table($tPTbl),'s_id',$s_id);
        if(empty($source)){
            $general->redirect($pUrl,array(37,$pageTitle));
        }
        if(isset($_POST['edit'])){
            $name       = $_POST['name'];
            $sort_name  = $_POST['sort_name'];
            $mobile     = $_POST['mobile'];
            $Address    = $_POST['address'];

            if(empty($name)){$error=__LINE__;SetMessage(36,'Name');}
            if(empty($sort_name)){$error=__LINE__;SetMessage(36,'Sort Name');}
            if(empty($mobile)){$error=__LINE__;SetMessage(36,'Mobile');}

            if(!isset($error)){
                $data=array(
                    's_name'        => $name,
                    's_sort_name'   => $sort_name,
                    's_mobile'      => $mobile,
                    's_address'     => $Address,
                    's_address'     => $Address,
                    's_create_by'   => UID,
                    's_create_on'   => TIME,
                );;
                $where=array(
                    's_id'  => $s_id
                );
                $update= $db->update($general->table($tPTbl),$data,$where);
                if($update){
                    $general->redirect($pUrl,array(121,'Source'));
                }else{
                    SetMessage(66); 
                } 
            }
        }
    ?>
    <div class="page-header">
        <h1>
            Edit <?php echo $pageTitle ;?>
        </h1>
    </div><!-- /.page-header -->
    <div class="row">
        <div class="col-xs-12">
            <?php show_msg();?>
            <form method="POST">
                <!-- PAGE CONTENT BEGINS -->
                <div class="row">
                    <div class="col-xs-6">
                        <div class="form-horizontal crmform">
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Name<span>*</span> </label>
                                <div class="col-sm-9">
                                    <input type="text" name="name" value="<?php echo $source['s_name'] ;?> " required="required" class="col-sm-12"  id="form-field-1" autofocus="autofocus">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Sort Name<span>*</span> </label>
                                <div class="col-sm-9">
                                    <input type="text" name="sort_name" value="<?php echo $source['s_sort_name'] ;?> " required="required" class="col-sm-12"  id="form-field-1" autofocus="autofocus">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Mobile<span>*</span> </label>
                                <div class="col-sm-9">
                                    <input type="text" name="mobile" value="<?php echo $source['s_mobile'] ;?> " required="required" class="col-sm-12"  id="form-field-1" autofocus="autofocus">
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Address</label>
                                <div class="col-sm-9">
                                    <textarea name="address" class="form-control" style="background: transparent none repeat scroll 0% 0% ! important; z-index: auto; position: relative; line-height: 20px; font-size: 14px; transition: none 0s ease 0s ;" data-gramm="true"  spellcheck="false" data-gramm_editor="true"><?php echo $general->content_show($source['s_address']) ?></textarea>
                                </div>
                            </div>
                            <div class="form-group">
                                <label for="form-field-1" class="col-sm-3 control-label no-padding-right"></label>

                                <div class="col-sm-9">
                                    <input type="submit" name="edit" value="Update" class="btn btn-success">
                                </div>
                            </div>
                        </div>    
                    </div>
                </div>
                <!-- PAGE CONTENT ENDS -->
            </form>
        </div><!-- /.col -->
    </div><!-- /.row -->
    <?php  
    }
    elseif(isset($_GET['order'])){
        $data = array($pUrl=>$rModule['cmTitle'],1=>'Order Source');$general->breadcrumb($data);

        $db->dragNdropOrder($tPTbl,4);
    }
    else{
        $data = array(1 =>$rModule['cmTitle']);$general->breadcrumb($data);
    ?>
    <div class="page-header">
        <h1>
            <?php echo $pageTitle;?> 
        </h1>
    </div><!-- /.page-header -->
    <div class="row">
        <div class="col-xs-12">
            <!-- PAGE CONTENT BEGINS -->
            <?php show_msg();?>
            <div class="row">
                <div class="col-xs-9">   
                </div>
                <div class="col-xs-3">
                    <?php if(!empty($AddStatus)){?><a class="btn btn-success btn-sm" id="id-btn-dialog2" href="<?php echo URL; ?>?module=source&add=1">Create</a><?php }?>

                    <a class="btn btn-success btn-sm rang" id="id-btn-dialog2" href="<?php echo URL; ?>?module=source&order=1">Rearrange</a>
                </div>
                <div class="col-xs-12">
                    <table class="table table-bordered crmmtop">
                        <thead>
                            <tr>
                                <th class="detail-col">SN</th>
                                <th>Name</th>
                                <th>Sort Name</th>
                                <th>Mobile</th>
                                <?php if(!empty($EditStatus)){?>
                                    <th>Edit</th>
                                    <?php } ?>
                                <th>Status</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $sl=1;
                                $source = $db->selectAll($general->table($tPTbl),'where isActive=1 order by s_order ASC');
                                foreach($source as $so){
                                ?>
                                <tr>
                                    <td><?php echo $sl++; ?></td>
                                    <td><?php echo $so['s_name']; ?></td>
                                    <td><?php echo $so['s_sort_name']; ?></td>
                                    <td><?php echo $so['s_mobile']; ?></td>
                                    <?php if(!empty($EditStatus)){?>
                                        <td>
                                            <a href="<?php URL; ?>?module=source&edit=<?php echo $so['s_id']; ?>" class="btn btn-xs btn-info">
                                                <i class="ace-icon fa fa-pencil bigger-120"></i>
                                            </a>
                                        </td> 
                                        <?php } ?> 
                                    <td>
                                        <label>
                                            <input type="checkbox" checked="checked" class="ace ace-switch ace-switch-4" name="switch-field-1">
                                            <span class="lbl"></span>
                                        </label>
                                    </td>
                                </tr>
                                <?php
                                }
                            ?>
                        </tbody>
                    </table>
                </div>
            </div><!-- /.row -->
            <!-- PAGE CONTENT ENDS -->
        </div><!-- /.col -->
    </div><!-- /.row -->
    <?php
    }
?>