<?php
    $pageTitle='Visa';
    $viewAllRole= 4;
    $addRole    = 5;
    $editRole   = 6;
    $payRecRole = 7;
    $payAppRole = 8;

    $ViewAllStatus = $db->permission($viewAllRole);
    $AddStatus     = $db->permission($addRole);
    $EditStatus    = $db->permission($editRole); 
    $payRecStatus  = $db->permission($payRecRole); 
    $payAppStatus  = $db->permission($payAppRole); 

    if(isset($_GET['add'])){
        $pageTitle  = 'Visa Posting';
        if(empty($AddStatus)){$general->redirect($pUrl,array(52,'Visa Posting'));}
        include("visa/visa_add.php");
    }
    elseif(isset($_GET['edit'])){
        if(empty($EditStatus)){$general->redirect($pUrl,array(52,'Visa Edit'));}
        include("visa/visa_edit.php");
    }
    elseif(isset($_GET['list'])){
        include("visa/visa_list.php");
    }
    elseif(isset($_GET['delete'])){
        $viID= $_GET['delete'];
        $invoice = $db->get_rowData($general->table(3),'viID',$viID);
        if(empty($invoice)){$general->redirect($pUrl,array(11));}

        $in_ditalis=$db->selectAll($general->table(4),'WHERE viID='.$viID);
        foreach($in_ditalis as $ind){
            $ps_ho=$db->get_rowData($general->table(5),'psID',$ind['psID']);

            if(!empty($ps_ho)){
                $folder_name=urlencode($ps_ho['psNumber']);
                $dir=ROOT_PATH.'/images/uploads/visa_file/'.$folder_name.'/';

                if(is_dir($dir)){
                    $files = glob($dir.'*'); // get all file names
                    foreach($files as $file){ // iterate files
                        if(is_file($file))
                            unlink($file); // delete file
                    }
                    rmdir($dir); 
                }
                $where=array('psID'=>$ind['psID']);
                $delete= $db->delete($general->table(5),$where);
                if(!$delete){
                    $errors=1;
                }
            }
        }
        if(!isset($errors)){
            $where=array('viID'=>$viID);
            $delete_inv_d=$db->delete($general->table(4),$where);
            if(!$delete_inv_d){$errors=1;}

        }
        $delete_pay_log= $db->delete($general->table(14),$where);
        if(!$delete_pay_log){$errors=1;}
        $delete=$db->delete($general->table(3),$where); 
        
        if($delete){
            $general->redirect($pUrl,array(34,'Visa Services'));
        }
    }
    else{
        $where='';
        if(empty($ViewAllStatus)){
            $where=' where i.createdBy='.UID;

        }
        else{
            $where = ' where i.createdBy!=0';
        }
        if(isset($_GET['search'])){
            if(!empty($_GET['cus_id'])){
                $cID=$_GET['cus_id'];
                $where.= ' and concat(c.uCode,c.cCode)='.$cID;
            }
            if(!empty($_GET['user'])){
                $cID=$_GET['user'];
                if($cID!=0)
                    $where.= ' and i.cID='.$cID;
            }
            if(!empty($_GET['from_date']) && !empty($_GET['to_date'])){
                $fDate = strtotime($_GET['from_date']);
                $tDate = strtotime($_GET['to_date'])+86400;
                $where.= ' and i.createdOn between '.$fDate.' and '.$tDate;
            }
            $query  = "SELECT c.uCode,c.cCode,i.createdBy,i.createdOn,i.viReceivable,i.viExpenses,i.viReceived,i.viDue,i.viProfit,i.viID,i.cID 
            FROM ".$general->table(3)." i 
            left join ".$general->table(22)." c on(c.cID=i.cID)
            ".$where;
            $invoice = $db->fetchQuery($query); 
        }
        else{
            $invoice= $db->selectAll($general->table(3),'order by viID desc'); 
        }
    ?>
    <div class="page-header">
        <h1>Visa Services List</h1>
    </div>
    <?php
        show_msg();
    ?>
    <div class="row">

        <div class="col-xs-12">
            <form method="get" class="form-inline">
                <input name="module" value="visa" type="hidden">
                FROM : <input required="required" name="from_date" value="<?php echo @$_GET['from_date']; ?>" class="<?php if(isset($_GET['from_date'])){echo 'datepicker';}else{echo 'cdatepicker';} ?> visa_list"  type="text">
                To : <input required="required" name="to_date" value="<?php echo @$_GET['to_date']; ?>" class="<?php if(isset($_GET['to_date'])){echo 'datepicker';}else{echo 'cdatepicker';} ?> visa_list" type="text">
                <span>Cus.:</span>
                <select class="user_name user_name3" name="user">
                    <option value="0">All Customer</option>
                    <?php
                        $customer= $db->selectAll($general->table(22),'WHERE isActive=1');
                        foreach($customer as $c){
                        ?><option value="<?php echo $c['cID'];?>" <?php if($c['cID']==@$_GET['user']){echo 'selected';}?>><?php echo $c['cTitle'].'. '.$c['cLastName'].'/'.$c['cFastName'];?></option><?php
                        }
                    ?>
                </select>
                Cus. ID: <input name="cus_id" value="<?php echo @$_GET['cus_id'];?>" class="" type="text">
                <button name="search" value="1" class="btn btn-success search_btn" type="submit"><span class="glyphicon glyphicon-search" aria-hidden="true"></span></button>
            </form>
        </div>
    </div>

    <div class="row">
        <div class="col-xs-12">
            <div id="message_show_box"></div>
            <table class="table table-bordered crmmtop">
                <thead>
                    <tr>
                        <th class="detail-col">SL</th>
                        <th>C.ID</th>
                        <th>Mobile</th>
                        <th>C.Name</th>
                        <!--<th>Email</th>-->
                        <th>Served By</th>
                        <th>Date</th>
                        <th class="fixed">Bill</th>
                        <th class="fixed">Expen.</th>
                        <th class="fixed">Recv.</th>
                        <th>Due</th>
                        <th>Profit</th>
                        <?php
                            if(!empty($EditStatus)){
                            ?>
                            <th class="cus_btn">Edit</th>
                            <?php
                            }
                        ?>
                        <th class="cus_btn">P.H.</th>
                        <th class="cus_btn">Print</th>
                        <th class="cus_btn">View</th>

                    </tr>
                </thead>
                <tbody>
                    <?php
                        $i = 1;
                        foreach($invoice as $in){
                            $cus= $db->get_rowData($general->table(22),'cID',$in['cID']);
                        ?>
                        <tr>
                            <td><?php echo $i;?> </td>
                            <td><?php echo $cus['uCode'].$cus['cCode'] ;?> </td>
                            <td><?php echo $cus['cMobile'];?></td>
                            <td><?php echo $cus['cTitle'].'. '.$cus['cLastName'].'/'.$cus['cFastName'];?></td>
                            <!--<td><?php echo $cus['cEmail'];?></td>-->
                            <td><?php echo $db->get_data($general->table(17),'uID',$in['createdBy'],'uLoginName') ?></td>
                            <td><?php echo $general->make_date($in['createdOn'],'d_m_y') ;?> </td>
                            <td><?php echo number_format($in['viReceivable']) ;?></td>
                            <td><?php echo number_format($in['viExpenses']);?></td>
                            <td id="rec_tr_<?php echo $in['viID'];?>"><?php echo number_format($in['viReceived']) ;?></td>
                            <td id="due_tr_<?php echo $in['viID'];?>"><?php echo number_format($in['viDue']) ;?></td>
                            <td id="profit_tr_<?php echo $in['viID'];?>"><?php echo number_format($in['viProfit']);?></td>
                            <td class="cus_btn">
                                <?php
                                    if(!empty($EditStatus)){
                                    ?>
                                    <a href="<?php echo URL ;?>?module=visa&edit=<?php echo $in['viID'];?>" class="">
                                        <i class="ace-icon fa fa-pencil bigger-120"></i>
                                    </a>
                                    <?php
                                    }
                                ?>
                                &nbsp;&nbsp;
                                <a onclick="return confirm('Are you sure?')" href="<?php echo URL ;?>?module=visa&delete=<?php echo $in['viID'];?>" class="">
                                    <i class="ace-icon fa fa-trash-o bigger-120"></i>
                                </a>
                            </td>
                            <td class="cus_btn">
                                <button data-toggle="modal" data-target="#myModal" onclick="pay_log_modal(<?php echo $in['viID'];?>)" class=""><i class="fa fa-credit-card-alt" aria-hidden="true"></i></button>

                                <?php
                                    $notice= $db->selectAll($general->table(14),' WHERE viID='.$in['viID'].' and plAction=0');
                                    if(!empty($notice)){
                                    ?>
                                    <div id="notice_div_<?php echo $in['viID'];;?>" class="commect">
                                        <?php echo $notice_count= count($notice);?>
                                    </div>
                                    <?php
                                    }
                                ?>
                            </td>
                            <td class="cus_btn"><a href="<?=URL?>/?print=visa&visa_id=<?=$in['viID']?>" class="" target="_blank"><i class="fa fa-print" aria-hidden="true"></i>
                                </a>
                            </td>

                            <td class="cus_btn">
                                <button onclick="view_details(<?php echo $in['viID'];?>)" class=""><i class="fa fa-plus"></i></button>
                            </td>

                        </tr>
                        <tr style="display: none" id="sub_row_<?php echo $in['viID'];?>">
                            <td colspan="16">
                                <table class="table table-bordered crmmtop sub">
                                    <thead>
                                        <tr>
                                            <th>SL</th>
                                            <th class="detail-col stat">Name</th>
                                            <th>P.P No</th>
                                            <th>Ex. Date</th>
                                            <th>Category</th>
                                            <th class="amount_td">Bill amount</th>
                                            <th class="amount_td">Expenses</th>
                                            <th class="amount_td">Recv.</th>
                                            <th>Source</th>
                                            <th class="staT">Status</th>
                                            <th colspan="4" class="attach">Attach</th>
                                            <?php
                                                if(!empty($payRecStatus)){
                                                ?>
                                                <th>Pay</th>
                                                <?php
                                                }
                                            ?>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $v_details= $db->selectAll($general->table(4),' where viID='.$in['viID']);              
                                            $a=1;
                                            foreach($v_details as $vd){
                                                $ps_ho =$db->get_rowData($general->table(5),'psID',$vd['psID']);
                                            ?>

                                            <tr id="holder_row_<?php echo $vd['vidID']?>">
                                                <td><input type="hidden" class="vid_id_<?php echo $in['viID'];?>" value="<?php echo $vd['vidID'] ;?>"><?php echo $a;?> </td>
                                                <td><?php echo $ps_ho['psName'] ;?> </td>
                                                <td><?php echo $ps_ho['psNumber'];?> </td>
                                                <td>
                                                    <?php
                                                        if(!empty($ps_ho['psExpDate'])){
                                                            echo $general->make_date($ps_ho['psExpDate'],'d_m_y');
                                                        }
                                                    ?>
                                                </td>
                                                <td><?php echo $db->get_data($general->table(53),'vtID',$vd['vtID'],'vtTitle') ;?></td>
                                                <td class="amount_td"><?php echo number_format($vd['vidReceivable']);?></td>
                                                <td class="amount_td"><?php echo number_format($vd['vidExpanse']);?> </td>
                                                <td class="amount_td" id="rec_td_<?php echo $in['viID'].$vd['vidID'];?>"><?php echo number_format($vd['vidReceived']);?> </td>
                                                <td><?php echo $db->get_data($general->table(9),'s_id',$vd['s_id'],'s_sort_name') ;?></td>
                                                <td class="staT">
                                                    <select class="v_status_<?php echo $in['viID'];?> form-control">
                                                        <?php
                                                            $status= $db->selectAll($general->table(12),' WHERE isActive=1');
                                                            foreach($status as $st){
                                                            ?>
                                                            <option <?php if($vd['vsID']==$st['vsID']){?>selected=""<?php } ?> value="<?php echo $st['vsID'];?>"><?php echo $st['vsTitle'] ;?></option>
                                                            <?php
                                                            }
                                                        ?>
                                                    </select>
                                                    <span class="tooltiptext">
                                                        <h4 id="status_title">Status History</h4>

                                                        <table class="table table-bordered">
                                                            <thead>
                                                                <tr>
                                                                    <th>SL</th>
                                                                    <th>Status</th>
                                                                    <th>Time</th>
                                                                    <th>User</th>
                                                                </tr>
                                                            </thead>
                                                            <tbody>
                                                                <?php 
                                                                    $status_log=$db->selectAll($general->table(13),' WHERE vidID='.$vd['vidID']);
                                                                    $ip=1;
                                                                    foreach($status_log as $sl){
                                                                    ?>
                                                                    <tr>
                                                                        <td class="pament_box"><?php echo $ip++ ;?></td>
                                                                        <td class="pament_box"><?php echo $db->get_data($general->table(12),'vsID',$sl['vsID'],'vsTitle');?></td>
                                                                        <td class="pament_box"><?php echo $general->make_date($sl['createdOn'],'time') ;?> </td>
                                                                        <td class="pament_box"><?php echo $db->get_data($general->table(17),'uID',$sl['createdBy'],'uFullName');?></td>
                                                                    </tr>
                                                                    <?php 
                                                                    }
                                                                ?>

                                                            </tbody>
                                                        </table>

                                                    </span>
                                                </td>
                                                <td>
                                                    <div id="pp_file_<?php echo $i.$a ;?>">
                                                        <?php
                                                            if(!empty($ps_ho['psAttachPp'])){
                                                            ?>
                                                            <a target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($ps_ho['psNumber']);?>/<?php echo $ps_ho['psAttachPp'];?>">File PP.</a>
                                                            <?php
                                                            }else{
                                                                echo 'No file';
                                                            }
                                                        ?>
                                                        <?php
                                                            if(!empty($EditStatus)){
                                                            ?>
                                                            <span><a onclick="file_change('pp_file_<?php echo $i.$a ;?>','pp_file_in_<?php echo $i.$a ;?>')" href="javascript:void(0)"><i class="fa fa-pencil" aria-hidden="true"></i></a></span>
                                                            <?php
                                                            }
                                                        ?>
                                                    </div>
                                                    <div style="display: none;" id="pp_file_in_<?php echo $i.$a ;?>">

                                                        <input data-ftype="pp_file" data-pn="<?php echo $ps_ho['psNumber'];?>" id="pp_file_up_<?php echo $i.$a ;?>" type="file" name="" onchange="$(this).addClass('needtoupload')" class="T_file">

                                                        <a onclick="file_change_close('pp_file_in_<?php echo $i.$a ;?>','pp_file_<?php echo $i.$a ;?>','pp_file_up_<?php echo $i.$a ;?>')" href="javascript:void(0)">X</a>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div id="pic_file_<?php echo $i.$a ;?>">
                                                        <?php
                                                            if(!empty($ps_ho['psAttachPic'])){
                                                            ?>
                                                            <a target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($ps_ho['psNumber']);?>/<?php echo $ps_ho['psAttachPic'];?>">File Pic.</a>
                                                            <?php
                                                            }else{
                                                                echo 'No file';
                                                            }
                                                        ?>
                                                        <?php
                                                            if(!empty($EditStatus)){
                                                            ?>
                                                            <span><a onclick="file_change('pic_file_<?php echo $i.$a ;?>','pic_file_in_<?php echo $i.$a ;?>')" href="javascript:void(0)"><i class="fa fa-pencil" aria-hidden="true"></i></a></span>
                                                            <?php
                                                            }
                                                        ?>
                                                    </div>
                                                    <div style="display: none;" id="pic_file_in_<?php echo $i.$a ;?>">

                                                        <input data-ftype="pic_file" data-pn="<?php echo $ps_ho['psNumber'];?>" id="pic_file_up_<?php echo $i.$a ;?>" type="file" name="" onchange="$(this).addClass('needtoupload')" class="T_file">

                                                        <a onclick="file_change_close('pic_file_in_<?php echo $i.$a ;?>','pic_file_<?php echo $i.$a ;?>','pic_file_up_<?php echo $i.$a ;?>')" href="javascript:void(0)">X</a>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div id="tl_file_<?php echo $i.$a ;?>">
                                                        <?php
                                                            if(!empty($ps_ho['psAttachTl'])){
                                                            ?>
                                                            <a target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($ps_ho['psNumber']);?>/<?php echo $ps_ho['psAttachTl'];?>">File PP.</a>
                                                            <?php
                                                            }else{
                                                                echo 'No file';
                                                            }
                                                        ?>
                                                        <?php
                                                            if(!empty($EditStatus)){
                                                            ?>
                                                            <span><a onclick="file_change('tl_file_<?php echo $i.$a ;?>','tl_file_in_<?php echo $i.$a ;?>')" href="javascript:void(0)"><i class="fa fa-pencil" aria-hidden="true"></i></a></span>
                                                            <?php
                                                            }
                                                        ?>
                                                    </div>
                                                    <div style="display: none;" id="tl_file_in_<?php echo $i.$a ;?>">

                                                        <input data-ftype="tl_file" data-pn="<?php echo $ps_ho['psNumber'];?>" id="tl_file_up_<?php echo $i.$a ;?>" type="file" name="" onchange="$(this).addClass('needtoupload')" class="T_file">

                                                        <a onclick="file_change_close('tl_file_in_<?php echo $i.$a ;?>','tl_file_<?php echo $i.$a ;?>','tl_file_up_<?php echo $i.$a ;?>')" href="javascript:void(0)">X</a>
                                                    </div>
                                                </td>
                                                <td>
                                                    <div id="card_file_<?php echo $i.$a ;?>">
                                                        <?php
                                                            if(!empty($ps_ho['pAttachCard'])){
                                                            ?>
                                                            <a target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($ps_ho['psNumber']);?>/<?php echo $ps_ho['pAttachCard'];?>">File PP.</a>
                                                            <?php
                                                            }else{
                                                                echo 'No file';
                                                            }
                                                        ?>
                                                        <?php
                                                            if(!empty($EditStatus)){
                                                            ?>
                                                            <span><a onclick="file_change('card_file_<?php echo $i.$a ;?>','card_file_in_<?php echo $i.$a ;?>')" href="javascript:void(0)"><i class="fa fa-pencil" aria-hidden="true"></i></a></span>
                                                            <?php
                                                            }
                                                        ?>
                                                    </div>
                                                    <div style="display: none;" id="card_file_in_<?php echo $i.$a ;?>">

                                                        <input data-ftype="card_file" data-pn="<?php echo $ps_ho['psNumber'];?>" id="card_file_up_<?php echo $i.$a ;?>" type="file" name="" onchange="$(this).addClass('needtoupload')" class="T_file">

                                                        <a onclick="file_change_close('card_file_in_<?php echo $i.$a ;?>','card_file_<?php echo $i.$a ;?>','card_file_up_<?php echo $i.$a ;?>')" href="javascript:void(0)">X</a>
                                                    </div>

                                                </td>  
                                                <?php
                                                    if(!empty($payRecStatus)){
                                                    ?>
                                                    <td>
                                                        <button onclick="pay_modal('<?php echo $vd['vidID'];?>','<?php echo $in['viID'] ;?>')" data-toggle="modal" data-target="#myModal" class="pay"><i class="fa fa-money" aria-hidden="true"></i>
                                                        </button>
                                                    </td>
                                                    <?php
                                                    }
                                                ?>
                                            </tr> 

                                            <?php
                                                $a++;
                                            }   
                                        ?>
                                    </tbody>

                                </table>
                                <?php
                                    if(!empty($EditStatus)){
                                    ?>
                                    <button onclick="update_visa_status(<?php echo $in['viID'];?>)" class="btn btn_primary Second">Update</button>
                                    <?php
                                    }
                                ?>

                            </td>

                        </tr>
                        <?php
                            $i++;
                        }
                    ?>
                </tbody>
            </table>
            <div class="pagined_footer">
                <ul class="pagination">

                </ul>
            </div>
        </div>
    </div>
    <?php
    }
?>

<div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 id="modal_title" class="modal-title"></h4>
            </div>
            <div id="pay_error"></div>
            <div id="modal_body" class="modal-body">
            </div>
            <div class="modal-footer">
                <button id="pay_button" onclick="payment_submet()" type="button" class="btn btn-default send">Pay</button>
            </div>
        </div>

    </div>
</div>

<script type="text/javascript">
    function view_details(sl){
        $("#sub_row_"+sl).toggle(500);
    }
    function file_change(hide_id,show_id){
        $('#'+hide_id).hide(500);
        $('#'+show_id).show(500);
    }
    function file_change_close(hide_id,show_id,file_up){
        $('#'+hide_id).hide(500);
        $('#'+show_id).show(500);
        $('#'+file_up).val('');
    }
</script>

<script>
    $('.keep-open').click(function(e) {
        if (/input|label/i.test(e.target.tagName)){
            var parent = $(e.target).parent();
            if(parent.hasClass('checkbox')){
                var checkbox = parent.find('input[type=checkbox]');
                checkbox.prop("checked", !checkbox.prop("checked"));
                return false;
            }
        }
    });
</script>
 