<?php
    $pageTitle='Customer';
    $viewAllRole= 1;
    $addRole    = 2;
    $editRole   = 3;
    $ViewAllStatus = $db->permission($viewAllRole);
    $AddStatus     = $db->permission($addRole);
    $EditStatus    = $db->permission($editRole);  

    if(isset($_GET['add'])){
        if(empty($AddStatus)){$general->redirect($pUrl,array(52,'add'.$pageTitle));}
        $data = array($pUrl=>$rModule['cmTitle'],1=>'Add '.$pageTitle);$general->breadcrumb($data);

        if(isset($_POST['sub'])){
            $name_title = $_POST['name_title'];
            $last_name  = $_POST['last_name'];
            $fast_name  = $_POST['fast_name'];
            $mobile     = $_POST['mobile'];
            $address    = $_POST['address'];
            $email      = $_POST['email'];
            $user       = $_POST['user'];

            if(empty($last_name)){$error=1;SetMessage(31,'Last name');}
            if(empty($fast_name)){$error=1;SetMessage(31,'Fast name');}
            /*if(empty($address)){$error=1;SetMessage(31,'Address');}*/

            if(empty($mobile)){$error=1;SetMessage(31,'Mobile');}
            else{
                $number='88'.$mobile;
                if($general->bangladeshiMobileCheck($number)==0){
                    $error=1;SetMessage(63,'Mobile Number');
                }
                $exists= $db->get_rowData($general->table(22),'cMobile',$mobile);
                if(!empty($exists)){
                    $error=1;SetMessage(127,'Mobile number already exists');
                }
            }
            $bus_cards='';
            if(isset($_FILES["file"]["name"])){
                $fileName   = $_FILES["file"]["name"];
                if(!empty($fileName)){
                    $tempImage  = $_FILES['file']['tmp_name']; 
                    $extension=explode('.', $fileName);
                    $extension=end($extension);
                    $extension=strtolower($extension);
                    if(
                        $extension == 'jpeg' || 
                        $extension == 'jpg' || 
                        $extension == 'png'){
                        if($_FILES['file']['size']<1024*5000){
                            $bus_cards = str_ireplace('.'.$extension,'',$fileName).'_'.time().'-'.rand(9,99).'.'.$extension;
                            $destination= 'images/bus_cards/';
                            $move=move_uploaded_file($tempImage,$destination.$bus_cards);
                            $nf=1;
                        }
                        else{
                            $general->SetMessage('Please upload only following size: Max 5md','e');$error = 1; 
                        }
                    }
                    else{
                        $general->SetMessage('Please upload only following type file: jpeg,jpg,png','e');$error = 1; 
                    }
                }else{
                    $bus_cards = '';
                }
            }

            if(empty($email)){$error=1;SetMessage(31,'Email');}
            else{
                $exists= $db->get_rowData($general->table(22),'cEmail',$email);
                if(!empty($exists)){
                    $error=1;SetMessage(127,'Email already exists');
                }
            }
            if(empty($user)){$error=1;SetMessage(31,'User');}

            if(!isset($error)){
                $u_mobil    = $db->getData($general->table(17),'WHERE uID='.$user,'uMobile');
                $u_serial   = substr($u_mobil, -2);

                $query      = 'SELECT MAX(cCode) AS cCode FROM customer WHERE uID='.$user;
                $last_sei   = $db->fetchQuery($query);

                if(empty($last_sei[0]['cCode'])){
                    $c_code =100;
                }else{
                    $c_code  = $last_sei[0]['cCode']+1;
                }

                $data= array(
                    'uID'       => $user,
                    'uCode'     => $u_serial,
                    'cCode'     => $c_code,
                    'cTitle'    => $name_title,
                    'cLastName' => $last_name,
                    'cFastName' => $fast_name,
                    'cAddress'  => $address,
                    'cBusCards' => $bus_cards,
                    'cMobile'   => $mobile,
                    'cEmail'    => $email,
                    'cCreateOn' => TIME
                );
                $insert= $db->insert($general->table(22),$data);

                if($insert){
                    $general->redirect($pUrl,29,'User');
                }
                else{SetMessage(66);}
            }
        }
    ?>
    <div class="page-header">
        <h1>Add <?php echo $rModule['cmTitle'];?></h1>
    </div>

    <?php show_msg()?>
    <div class="row">
        <div class="col-xs-12">
            <div class="row">
                <div class="col-xs-6">
                    <form method="POST" class="form-horizontal crmform" role="form" enctype="multipart/form-data">
                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Name <span>*</span></label>


                            <div class="col-sm-9">
                                <select name="name_title" id="cTitle" class="col-xs-12 col-sm-2" required="required">
                                    <option value="Mr.">Mr.</option>
                                    <option value="Ms.">Ms.</option>
                                    <option value="Mrs.">Mrs.</option>
                                    <option value="">None</option>
                                </select> 

                                <input value="<?php echo @$_POST['last_name'] ;?>" name="last_name" class="col-xs-12 col-sm-5 gap_fild" id="form-field-1" placeholder="Last Name" type="text">
                                <input value="<?php echo @$_POST['fast_name'] ;?>" name="fast_name" class="col-xs-12 col-sm-5" id="form-field-1" placeholder="First Name" required="required" type="text">

                            </div>
                        </div>

                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Address <span>*</span></label>

                            <div class="col-sm-9">
                                <textarea name="address" class="col-sm-12"><?php echo @$_POST['address'] ?></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Mobile <span>*</span></label>

                            <div class="col-sm-9">
                                <div class="input-group">
                                    <span class="input-group-addon">+88</span>
                                    <input type="text" value="<?php echo @$_POST['mobile'];?>" name="mobile" required="required" class="col-sm-12" id="form-field-1">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Email <span>*</span></label>

                            <div class="col-sm-9">
                                <input type="text" value="<?php echo @$_POST['email'] ;?>" name="email" required="required" class="col-sm-12" id="form-field-1">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right">User <span>*</span></label>

                            <div class="col-sm-9">
                                <select class="col-sm-12" name="user" required="required">
                                    <option value=" ">Select</option>
                                    <?php
                                        if(UID==SUPERADMIN_USER){
                                            $where=' WHERE isActive=1';
                                        }else{
                                            $where=' WHERE isActive=1 AND uID='.UID;
                                        }
                                        $user   =$db->selectAll($general->table(17),$where);
                                        foreach($user as $u){
                                        ?>
                                        <option <?php if(UID==$u['uID']){?>selected="selected"<?php } ?> value="<?php echo $u['uID'] ;?>"><?php echo $u['uFullName'] ;?></option>
                                        <?php
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>


                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Business Cards</label>

                            <div class="col-sm-9">
                                <input type="file" name="file" class="col-sm-12 Input_file" id="form-field-1">
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> </label>
                            <div class="col-sm-9">
                                <input type="submit" value="Submit" name="sub" class="btn btn-success">
                            </div>
                        </div>

                    </form>
                </div>
            </div>

        </div>
    </div>
    <?php
    }
    elseif(isset($_GET['edit'])){
        if(empty($EditStatus)){$general->redirect($pUrl,array(52,'Edit'.$pageTitle));}
        $data = array($pUrl=>$rModule['cmTitle'],1=>'Edit '.$pageTitle);$general->breadcrumb($data);
        $c_id =$_GET['edit'];
        $cus= $db->get_rowData($general->table(22),'cID',$c_id);
        if(empty($cus)){$general->redirect($pUrl,array(37,'Customer'));}

        if(isset($_POST['sub'])){
            $name_title = $_POST['name_title'];
            $last_name  = $_POST['last_name'];
            $fast_name  = $_POST['fast_name'];
            $address    = $_POST['address'];
            $mobile = $_POST['mobile'];
            $email  = $_POST['email'];
            $user   = $_POST['user'];

            if(empty($last_name)){$error=1;SetMessage(31,'Last name');}
            if(empty($fast_name)){$error=1;SetMessage(31,'Fast name');}
            /* if(empty($address)){$error=1;SetMessage(31,'Address');}*/

            if(empty($mobile)){$error=1;SetMessage(31,'Mobile');}
            else{
                $number='88'.$mobile;
                if($general->bangladeshiMobileCheck($number)==0){
                    $error=1;SetMessage(63,'Mobile Number');
                }
                $exists= $db->get_rowData($general->table(22),'cMobile',$mobile);
                if(!empty($exists)){
                    $error=1;SetMessage(127,'Mobile number already exists');
                }
            }

            $bus_cards= $cus['cBusCards'];
            if(isset($_FILES["file"]["name"])){
                $fileName   = $_FILES["file"]["name"];
                if(!empty($fileName)){
                    $tempImage  = $_FILES['file']['tmp_name']; 
                    $extension=explode('.', $fileName);
                    $extension=end($extension);
                    $extension=strtolower($extension);
                    if(
                        $extension == 'jpeg' || 
                        $extension == 'jpg' || 
                        $extension == 'png'){
                        if($_FILES['file']['size']<1024*5000){
                            $bus_cards = str_ireplace('.'.$extension,'',$fileName).'_'.time().'-'.rand(9,99).'.'.$extension;
                            $destination= 'images/bus_cards/';
                            $move=move_uploaded_file($tempImage,$destination.$bus_cards);
                            if($move){
                                unlink($destination.'/'.$cus['cBusCards']);
                            }
                            $nf=1;
                        }
                        else{
                            $general->SetMessage('Please upload only following size: Max 5md','e');$error = 1; 
                        }
                    }
                    else{
                        $general->SetMessage('Please upload only following type file: jpeg,jpg,png','e');$error = 1; 
                    }
                }
            }

            if(empty($email)){$error=1;SetMessage(31,'Email');}
            else{
                $exists= $db->get_rowData($general->table(22),'cEmail',$email);
                if(!empty($exists)){
                    $error=1;SetMessage(127,'Email already exists');
                }
            }
            if(empty($user)){$error=1;SetMessage(31,'User');}

            if(!isset($error)){
                $data= array(
                    'uID'       => $user,
                    'cTitle'    => $name_title,
                    'cLastName' => $last_name,
                    'cFastName' => $fast_name,
                    'cAddress'  => $address,
                    'cBusCards' => $bus_cards,
                    'cMobile'   => $mobile,
                    'cEmail'    => $email
                );
                $where=array(
                    'cID'=>$c_id
                );
                $update=$db->update($general->table(22),$data,$where);
                if($update){
                    $general->redirect($pUrl,array(30,'Customer'));
                }else{
                    SetMessage(66);
                }
            }
        }

    ?>
    <div class="page-header">
        <h1>Edit <?php echo $rModule['cmTitle'];?></h1>
    </div>
    <?php show_msg()?>
    <div class="row">
        <div class="col-xs-12">
            <div class="row">
                <div class="col-xs-6">
                    <form method="POST" class="form-horizontal crmform" role="form" enctype="multipart/form-data">
                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> Name <span>*</span></label>

                            <div class="col-sm-9">
                                <select name="name_title" id="cTitle" class="col-xs-12 col-sm-2" required="required">
                                    <option <?php if($cus['cTitle']=='Mr.'){?>selected="selected"<?php }?>  value="Mr.">Mr.</option>
                                    <option <?php if($cus['cTitle']=='Ms.'){?>selected="selected"<?php }?> value="Ms.">Ms.</option>
                                    <option <?php if($cus['cTitle']=='Mrs.'){?>selected="selected"<?php }?> value="Mrs.">Mrs.</option>
                                    <option <?php if($cus['cTitle']==''){?>selected="selected"<?php }?> value="">None</option>
                                </select>
                                <input name="last_name" class="col-xs-12 col-sm-5 gap_fild" value="<?php echo $cus['cLastName'] ;?>" placeholder="Last Name" type="text">
                                <input name="fast_name" class="col-xs-12 col-sm-5" value="<?php echo $cus['cFastName'] ;?>" placeholder="Fast Name" required="required" type="text">

                            </div>
                        </div>

                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Address <span>*</span></label>

                            <div class="col-sm-9">
                                <textarea name="address" class="col-sm-12"><?php echo $cus['cAddress'] ?></textarea>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Mobile <span>*</span></label>

                            <div class="col-sm-9">
                                <div class="input-group">
                                    <span class="input-group-addon">+88</span>
                                    <input type="text" name="mobile" required="required" class="col-sm-12" id="form-field-1" value="<?php echo $cus['cMobile'] ;?>">
                                </div>
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Email <span>*</span></label>

                            <div class="col-sm-9">
                                <input type="text" name="email" value="<?php echo $cus['cEmail'] ;?>" required="required" class="col-sm-12" id="form-field-1">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right">User <span>*</span></label>
                            <div class="col-sm-9">
                                <select class="col-sm-12" name="user" required="required">
                                    <option value=" ">Select</option>
                                    <?php
                                        if(UID==SUPERADMIN_USER){
                                            $where=' WHERE isActive=1';
                                        }else{
                                            $where=' WHERE isActive=1 AND uID='.UID;
                                        }
                                        $user   =$db->selectAll($general->table(17),$where);
                                        foreach($user as $u){
                                        ?>
                                        <option <?php if($u['uID']==$cus['uID']){?>selected="selected"<?php } ?> value="<?php echo $u['uID'] ;?>"><?php echo $u['uFullName'] ;?></option>
                                        <?php
                                        }
                                    ?>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right">Business Cards</label>
                            <div class="col-sm-9">
                                <input type="file" name="file" class="col-sm-12 Input_file" id="form-field-1">
                            </div>
                        </div>

                        <div class="form-group">
                            <label for="form-field-1" class="col-sm-3 control-label no-padding-right"> </label>
                            <div class="col-sm-9">
                                <input type="submit" value="Update" name="sub" class="btn btn-info">
                            </div>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
    <?php
    }
    elseif(isset($_POST['send_mail'])){
        $cID    = $_POST['c_id'];
        $name   = $_POST['name'];
        $to     = $_POST['email'];
        $message= $_POST['message'];
        $subject= $_POST['subject']; 
        $from = "example@gmail.com"; 

        if(isset($_FILES['attachment'])&& !empty($_FILES['attachment'])){

            $sender_email = filter_var('shamim.optimal@gmail.com', FILTER_SANITIZE_STRING); //capture sender email
            $attachments = $_FILES['attachment'];

            //php validation

            if (!filter_var($sender_email, FILTER_VALIDATE_EMAIL)) {
                die('Invalid email');
            }


            $file_count = count($attachments['name']); //count total files attached
            $boundary = md5("sanwebe.com"); 

            if($file_count > 0){ //if attachment exists
                //header
                $headers = "MIME-Version: 1.0\r\n"; 
                $headers .= "From:".$from."\r\n"; 
                $headers .= "Reply-To: ".$sender_email."" . "\r\n";
                $headers .= "Content-Type: multipart/mixed; boundary = $boundary\r\n\r\n"; 

                //message text
                $body = "--$boundary\r\n";
                $body .= "Content-Type: text/plain; charset=ISO-8859-1\r\n";
                $body .= "Content-Transfer-Encoding: base64\r\n\r\n"; 
                $body .= chunk_split(base64_encode($message)); 

                //attachments
                for ($x = 0; $x < $file_count; $x++){       
                    if(!empty($attachments['name'][$x])){
                        //get file info
                        $file_name = $attachments['name'][$x];
                        $file_size = $attachments['size'][$x];
                        $file_type = $attachments['type'][$x];

                        //read file 
                        $handle = fopen($attachments['tmp_name'][$x], "r");
                        $content = fread($handle, $file_size);
                        fclose($handle);
                        $encoded_content = chunk_split(base64_encode($content)); //split into smaller chunks (RFC 2045)

                        $body .= "--$boundary\r\n";
                        $body .="Content-Type: $file_type; name=".$file_name."\r\n";
                        $body .="Content-Disposition: attachment; filename=".$file_name."\r\n";
                        $body .="Content-Transfer-Encoding: base64\r\n";
                        $body .="X-Attachment-Id: ".rand(1000,99999)."\r\n\r\n"; 
                        $body .= $encoded_content; 
                    }
                }

            }else{ //send plain email otherwise
                $headers = "From:".$from."\r\n".
                "Reply-To: ".$sender_email. "\n" .
                "X-Mailer: PHP/" . phpversion();
                $body = $message;
            }

            $sentMail = @mail($to, $subject, $body, $headers);
            if($sentMail) //output success or failure messages
            {       
                $mail_send=1;
            }else{
                $mail_error=1;  
            }
        }
        else{
            $headers = 'From: webmaster@example.com' . "\r\n" .
            'Reply-To: webmaster@example.com' . "\r\n" .
            'X-Mailer: PHP/' . phpversion();

            $sentMail= mail($to, $subject, $message, $headers);
            if($sentMail){       
                $mail_send=1;
            }else{
                $mail_error=1;  
            }
        }

        if(isset($mail_send)){
            SetMessage(5); 
            $data=array(
                'cID'       => $cID,
                'cmName'    => $name,
                'cmEmailID' => $to,
                'cmSubject' => $subject,
                'cmMessage' => $_POST['message'], 
                'createdBy' => UID,
                'createdOn' => TIME
            );

            $cmID =$db->insert($general->table(44),$data,'getID');
            if($cmID){
                $upload_dir= "images/mail_file/";
                $upload_max = 2097152;
                if(isset($_FILES['attachment']['tmp_name'])){
                    $i=0;
                    while( $i < count($_FILES['attachment']['tmp_name'])){
                        if(!is_uploaded_file($_FILES['attachment']['tmp_name'][$i])){
                            SetMessage('No file uploaded','e');$error = 1;
                        }
                        else{
                            $imagefile = time().$_FILES['attachment']['name'][$i];
                            if(copy($_FILES['attachment']['tmp_name'][$i],$upload_dir.'/'.$imagefile)){
                                $data=array(
                                    'cmID'          => $cmID,
                                    'cmfFileName'   => $imagefile
                                ); 

                                $insert=$db->insert($general->table(52),$data);
                            }
                            else{
                                SetMessage('Uploading '.$_FILES['attachment']['name'][$i].' Failed','e');
                            }

                        }
                        $i++;
                    }

                }                
            }

            $general->redirect($pUrl);
        }else{
            SetMessage(66);
        }
    } 
    else{
        $data = array($pUrl=>$rModule['cmTitle']);$general->breadcrumb($data);
        $where='where isActive=1';
        if(empty($ViewAllStatus)){
            $where.=' and uID='.UID;
        }
        if(isset($_GET['search'])){
            $from = $_GET['from_id'];
            $to   = $_GET['to_id'];

            $from_fast  = substr($from,0,2); 
            $from_last  = substr($from,2); 

            $to_fast    = substr($to,0,2); 
            $to_last    = substr($to,2); 

            $where.=' and uCode between '.$from_fast.' and '.$to_fast.' and cCode between '.$from_last.' and '.$to_last;
        }

        $customer= $db->selectAll($general->table(22),$where);
    ?>
    <div class="page-header">
        <h1><?php echo $rModule['cmTitle'];?> List</h1>
    </div>

    <div class="row">
        <div class="col-xs-12">
            <?php show_msg();?>
            <div class="row">
                <div class="col-md-12">
                    <div class="widget-main pull-right" style="padding-right: 0px; overflow: hidden; padding-bottom: 0px; padding-top: 5px;margin-top:-44px">
                        <a class="btn btn-success btn-sm" id="id-btn-dialog2" href="<?php echo URL; ?>?module=customer&add=1">Create</a>
                    </div>
                </div>

                <div class="col-xs-8">
                    <form method="get" action="<?php echo URL ;?>" class="form-inline" >
                        <input type="hidden" name="module" value="customer">
                        FROM <input required="required" name="from_id" value="<?php echo @$_GET['from_id'] ;?>" class="span5" type="text"  placeholder="Customer id" >
                        To <input required="required" name="to_id" value="<?php echo @$_GET['to_id'] ;?>" class="span5" type="text"  placeholder="Customer id">
                        <button name="search" value="1" class="btn btn-success search_btn" type="submit"><span class="glyphicon glyphicon-search" aria-hidden="true"></span></button>
                    </form>
                </div>
                <div class="col-xs-4">
                    <input class="form-control Customer_ser" type="text" id="search" name="search" placeholder="Search">
                    <script type="text/javascript">
                        $("#search").keyup(function() {
                            var value = this.value;

                            $("table").find("tr").each(function(index) {
                                if (!index) return;
                                var id = $(this).find("td").text();
                                $(this).toggle(id.indexOf(value) !== -1);
                            });
                        });
                    </script>
                </div>
                <script>
                    function mail_sendID(cID){
                        var searchString='?ajax=1&mail_from='+cID;

                        jx.load(searchString,function(data){
                            $('#mail_from').html(data);
                        });
                    }
                </script>
                <div id="myModal" class="modal fade" role="dialog">
                    <div class="modal-dialog">

                        <!-- Modal content-->
                        <div class="modal-content">
                            <div class="modal-header">
                                <button type="button" class="close" data-dismiss="modal">&times;</button>
                                <h4 class="modal-title">Modal Header</h4>
                            </div>
                            <div class="modal-body">
                                <div class="containter">
                                    <div class="row" id="mail_from"> </div>
                                </div>
                            </div>
                            <div class="modal-footer">
                                <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
                            </div>
                        </div>

                    </div>
                </div>
                <div class="col-xs-12">
                    <table class="table table-bordered crmmtop">
                        <thead>
                            <tr>
                                <th class="detail-col">SN</th>
                                <th>Name</th>
                                <th>Customer id</th>
                                <th>Email</th>
                                <th>Mobile</th>
                                <th>Bus. Cards</th>
                                <!--<th>All file</th>-->
                                <?php
                                    if(!empty($EditStatus)){
                                    ?>
                                    <th class="cus_btn">Edit</th>
                                    <th class="cus_btn">Mail</th>
                                    <?php
                                    }
                                ?>
                                <th class="cus_btn">View</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                                $sl=1;
                                foreach($customer as $c){
                                ?>
                                <tr>
                                    <td><?php echo $sl++; ?></td>
                                    <td><?php echo $c['cTitle'].' '.$c['cLastName'].'/'.$c['cFastName'];?> </td>
                                    <td><?php echo $c['uCode'].$c['cCode'] ;?> </td>
                                    <td><?php echo $c['cEmail']; ?></td>
                                    <td><?php echo $c['cMobile'] ;?></td>
                                    <td>
                                        <?php
                                            if(empty($c['cBusCards'])){
                                                echo '--';
                                            }else{
                                            ?>
                                            <img src="<?php echo URL ;?>/images/bus_cards/<?php echo $c['cBusCards'];?>" style="width:50px" alt="">
                                            <?php
                                            }
                                        ?>
                                    </td>

                                    <?php
                                        if(!empty($EditStatus)){
                                        ?>
                                        <td class="cus_btn">
                                            <a href="<?php URL; ?>?module=customer&edit=<?php echo $c['cID']; ?>" class="">
                                                <i class="ace-icon fa fa-pencil bigger-120"></i>
                                            </a>
                                        </td>
                                        <?php
                                        }
                                    ?>
                                    <td class="cus_btn">
                                        <a onclick="mail_sendID(<?php echo $c['cID'] ?>)" data-toggle="modal" data-target="#myModal" class=""><i class="ace-icon bigger-120 fa fa-envelope"></i></a>
                                    </td>
                                    <td class="cus_btn">
                                        <button onclick="view_details(<?php echo $c['cID']; ?>)" class=""><i class="fa fa-plus"></i></button>
                                    </td>
                                </tr>
                                <!------------------------------->
                                <tr style="display: none;" id="sub_row_<?php echo $c['cID'];?>">
                                    <td colspan="16">
                                        <table class="table table-bordered crmmtop sub">
                                            <thead>
                                                <tr>
                                                    <th>SL</th>
                                                    <th class="detail-col stat">Name</th>
                                                    <th>P.P No</th>
                                                    <th>Ex. Date</th>
                                                    <th>Category</th>
                                                    <th>Receivable</th>
                                                    <th>Expenses</th>
                                                    <th>Rec.</th>
                                                    <th>Source</th>
                                                    <th>Status</th>
                                                    <th colspan="4" class="attach">Attach</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <?php
                                                    $query='
                                                    select
                                                    ph.psID,v.cID,vd.vidID,ph.psName,ph.psNumber,ph.psExpDate,
                                                    vd.vtID,vd.vidReceivable,vd.vidExpanse,vd.vidReceived,
                                                    vd.s_id,vd.vsID,ph.psAttachPp,ph.psAttachTl,ph.psAttachTl,ph.pAttachCard
                                                    from '.$general->table(4).' vd
                                                    left join '.$general->table(3).' v on(v.viID=vd.viID)
                                                    left join '.$general->table(5).' ph on(ph.psID=vd.psID)
                                                    where v.cID='.$c['cID'];
                                                    $visa_data= $db->fetchQuery($query);              
                                                    $a=1;
                                                    foreach($visa_data as $vd){

                                                    ?>

                                                    <tr id="holder_row_<?php echo $vd['vidID']?>">
                                                        <td><input type="hidden" class="vid_id_<?php echo $in['viID'];?>" value="<?php echo $vd['vidID'] ;?>"><?php echo $a;?> </td>
                                                        <td><?php echo $vd['psName'] ;?> </td>
                                                        <td><?php echo $vd['psNumber'];?> </td>
                                                        <td>
                                                            <?php
                                                                if(!empty($vd['psExpDate'])){
                                                                    echo $general->make_date($vd['psExpDate'],'d_m_y');
                                                                }
                                                            ?>
                                                        </td>
                                                        <td><?php echo $db->get_data($general->table(53),'vtID',$vd['vtID'],'vtTitle') ;?></td>
                                                        <td><?php echo number_format($vd['vidReceivable'],2);?></td>
                                                        <td><?php echo number_format($vd['vidExpanse'],2);?> </td>
                                                        <td><?php echo number_format($vd['vidReceived'],2);?> </td>
                                                        <td><?php echo $db->get_data($general->table(9),'s_id',$vd['s_id'],'s_sort_name') ;?></td>
                                                        <td>
                                                            <?php
                                                                echo   $status= $db->get_data($general->table(12),'vsID',$vd['vsID'],'vsTitle');
                                                            ?>
                                                        </td>
                                                        <td>
                                                            <?php
                                                                if(!empty($vd['psAttachPp'])){
                                                                ?>
                                                                <a target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($vd['psNumber']);?>/<?php echo $vd['psAttachPp'];?>">File PP.</a>
                                                                <?php
                                                                }else{
                                                                    echo 'No file';
                                                                }
                                                            ?>
                                                        </td>
                                                        <td>
                                                            <?php
                                                                if(!empty($vd['psAttachPic'])){
                                                                ?>
                                                                <a target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($vd['psNumber']);?>/<?php echo $vd['psAttachPic'];?>">File Pic.</a>
                                                                <?php
                                                                }else{
                                                                    echo 'No file';
                                                                }
                                                            ?>
                                                        </td>
                                                        <td>
                                                            <?php
                                                                if(!empty($vd['psAttachTl'])){
                                                                ?>
                                                                <a target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($vd['psNumber']);?>/<?php echo $vd['psAttachTl'];?>">File PP.</a>
                                                                <?php
                                                                }else{
                                                                    echo 'No file';
                                                                }
                                                            ?>
                                                        </td>
                                                        <td>
                                                            <?php
                                                                if(!empty($vd['pAttachCard'])){
                                                                ?>
                                                                <a target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($vd['psNumber']);?>/<?php echo $vd['pAttachCard'];?>">File PP.</a>
                                                                <?php
                                                                }else{
                                                                    echo 'No file';
                                                                }
                                                            ?>
                                                        </td>
                                                    </tr> 

                                                    <?php
                                                        $a++;
                                                    }   
                                                ?>
                                            </tbody>
                                        </table>
                                    </td>
                                </tr>
                                <!------------------------------->
                                <?php
                                }
                            ?>
                        </tbody>
                    </table>
                    <div class="pagined_footer">
                        <ul class="pagination">
                            <?php
                                /*  $link=$pUrl.'&'.PAGE_INATION_CURRENT_PAGE_NAME.'=';
                                $general->pagination($pageination['currentPage'],$pageination['TotalPage'],$link,'btn');*/
                            ?>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <?php
    }
?>
<script type="text/javascript">
    function view_details(sl){
        $("#sub_row_"+sl).toggle(500);
    }
</script>
<!--
<div id="myModal" class="modal fade" role="dialog">
  <div class="modal-dialog file_model">

    
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal">&times;</button>
        <h4 class="modal-title">Modal Header</h4>
		<table class="table table-bordered crmmtop">
			
			<tbody>
				<tr>
					<td>
						<a href="#"><img src="<?php echo URL ;?>/images/bus_cards/<?php echo $c['cBusCards'];?>" style="width:75px; margin-left:17px;" alt=""></a>
						<a href="#"><p>Image of a panda</p></a>
					</td>
					<td>
						<a href="#"><img src="<?php echo URL ;?>/images/bus_cards/<?php echo $c['cBusCards'];?>" style="width:75px; margin-left:17px;" alt=""></a>
						<a href="#"><p>Image of a panda</p></a>
					</td>
					<td><a href="#"><i class="fa fa-file" aria-hidden="true"></i></a><a href="#"><p class="file_title">File for information</p></a></td>
					<td><a href="#"><i class="fa fa-file" aria-hidden="true"></i></a><a href="#"><p class="file_title">File for information</p></a></td>
				</tr>                                
			</tbody>
		</table>
		<h4 class="modal-title">Modal Header</h4>
		<table class="table table-bordered crmmtop">
			
			<tbody>
				<tr>
					<td>
						<a href="#"><img src="<?php echo URL ;?>/images/bus_cards/<?php echo $c['cBusCards'];?>" style="width:75px; margin-left:17px;" alt=""></a>
						<a href="#"><p>Image of a panda</p></a>
					</td>
					<td>
						<a href="#"><img src="<?php echo URL ;?>/images/bus_cards/<?php echo $c['cBusCards'];?>" style="width:75px; margin-left:17px;" alt=""></a>
						<a href="#"><p>Image of a panda</p></a>
					</td>
					<td><a href="#"><i class="fa fa-file" aria-hidden="true"></i></a><a href="#"><p class="file_title">File for information</p></a></td>
					<td><a href="#"><i class="fa fa-file" aria-hidden="true"></i></a><a href="#"><p class="file_title">File for information</p></a></td>
				</tr>                                
			</tbody>
		</table>
      </div>
      <div class="modal-body">
        <p>Some text in the modal.</p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
    </div>
	

  </div>
</div>-->

 