<?php
    $pageTitle='Ticket';

    if(isset($_GET['add'])){
        include("ticket/ticket_add.php");
    }
    elseif(isset($_GET['edit'])){
        include("ticket/ticket_edit.php");
    }
    elseif(isset($_GET['delete'])){
        $tinID= $_GET['delete'];
        $invoice = $db->get_rowData($general->table(23),'tinID',$tinID);
        if(empty($invoice)){$general->redirect($pUrl,array(11));}

        $in_ditalis=$db->selectAll($general->table(24),'WHERE tinID='.$tinID);
        foreach($in_ditalis as $ind){
            $tic_info=$db->get_rowData($general->table(25),'tiID',$ind['tiID']);

            if(!empty($tic_info)){
                $folder_name=urlencode($tic_info['tiTicketNo']);
                $dir=ROOT_PATH.'/images/uploads/ticket_file/'.$folder_name.'/';

                if(is_dir($dir)){
                    $files = glob($dir.'*'); // get all file names
                    foreach($files as $file){ // iterate files
                        if(is_file($file))
                            unlink($file); // delete file
                    }
                    rmdir($dir); 
                }
                $remove_path=$dir = ROOT_PATH.'/images/uploads/ticket_file/'.$folder_name;
                if(is_dir($remove_path)){
                    rmdir($remove_path);   
                }
                
                $where=array('tiID'=>$ind['tiID']);
                $delete= $db->delete($general->table(25),$where);
                if(!$delete){
                    $errors=1;
                }
            }
        }
        if(!isset($errors)){
            $where=array('tinID'=>$tinID);
            $delete_inv_d=$db->delete($general->table(24),$where);
            if(!$delete_inv_d){$errors=1;}

        }
        $delete_pay_log= $db->delete($general->table(26),$where);
        if(!$delete_pay_log){$errors=1;}
        $delete=$db->delete($general->table(23),$where); 

        if($delete){
            $general->redirect($pUrl,array(34,'Ticket Services'));
        }
    }
    else{

        $where='';
        if(empty($ViewAllStatus)){
            $where=' where i.createdBy='.UID;

        }
        else{
            $where = ' where i.createdBy!=0';
        }
        if(isset($_GET['search'])){
            if(!empty($_GET['cus_id'])){
                $cID=$_GET['cus_id'];
                $where.= ' and concat(c.uCode,c.cCode)='.$cID;
            }
            if(!empty($_GET['user'])){
                $cID=$_GET['user'];
                if($cID!=0)
                    $where.= ' and i.cID='.$cID;
            }
            if(!empty($_GET['from_date']) && !empty($_GET['to_date'])){
                $fDate = strtotime($_GET['from_date']);
                $tDate = strtotime($_GET['to_date'])+86400;
                $where.= ' and i.createdOn between '.$fDate.' and '.$tDate;
            }
            $query  = "SELECT c.uCode,c.cCode,i.createdBy,i.createdOn,i.viReceivable,i.viExpenses,i.viReceived,i.viDue,i.viProfit,i.viID,i.cID 
            FROM ".$general->table(3)." i 
            left join ".$general->table(22)." c on(c.cID=i.cID)
            ".$where;
            $invoice = $db->fetchQuery($query); 
        }
        else{
            $invoice= $db->selectAll($general->table(23),'order by tinID desc'); 
        }
    ?>
    <div class="page-header">
        <h1>Ticket Services List</h1>
    </div>
    <?php
        show_msg();
    ?>
    <div class="row">

        <div class="col-xs-12">
            <form method="get" class="form-inline">
                <input name="module" value="visa" type="hidden">
                FROM : <input required="required" name="from_date" value="<?php echo @$_GET['from_date']; ?>" class="<?php if(isset($_GET['from_date'])){echo 'datepicker';}else{echo 'cdatepicker';} ?> visa_list"  type="text">
                To : <input required="required" name="to_date" value="<?php echo @$_GET['to_date']; ?>" class="<?php if(isset($_GET['to_date'])){echo 'datepicker';}else{echo 'cdatepicker';} ?> visa_list" type="text">
                <span>Cus.:</span>
                <select class="user_name user_name3" name="user">
                    <option value="0">All Customer</option>
                    <?php
                        $customer= $db->selectAll($general->table(22),'WHERE isActive=1');
                        foreach($customer as $c){
                        ?><option value="<?php echo $c['cID'];?>" <?php if($c['cID']==@$_GET['user']){echo 'selected';}?>><?php echo $c['cTitle'].'. '.$c['cLastName'].'/'.$c['cFastName'];?></option><?php
                        }
                    ?>
                </select>
                Cus. ID: <input name="cus_id" value="<?php echo @$_GET['cus_id'];?>" class="" type="text">
                <button name="search" value="1" class="btn btn-success search_btn" type="submit"><span class="glyphicon glyphicon-search" aria-hidden="true"></span></button>
            </form>
        </div>
    </div>

    <div class="row">
        <div class="col-xs-12">
            <div id="message_show_box"></div>
            <table class="table table-bordered crmmtop">
                <thead>
                    <tr>
                        <th class="detail-col">SL</th>
                        <th>C.ID</th>
                        <th>Mobile</th>
                        <th>C.Name</th>
                        <th>Served By</th>
                        <th>Date</th>
                        <th class="fixed">Bill</th>
                        <th class="fixed">Fair.</th>
                        <th class="fixed">Recv.</th>
                        <th>Due</th>
                        <th>Profit</th>
                        <th class="cus_btn">Edit</th>
                        <th class="cus_btn">P.H.</th>
                        <th class="cus_btn">Print</th>
                        <th class="cus_btn">View</th>
                    </tr>
                </thead>
                <tbody>
                    <?php
                        $i = 1;
                        foreach($invoice as $in){
                            $cus= $db->get_rowData($general->table(22),'cID',$in['cID']);
                        ?>
                        <tr>
                            <td><?php echo $i;?> </td>
                            <td><?php echo $cus['uCode'].$cus['cCode'] ;?> </td>
                            <td><?php echo $cus['cMobile'];?></td>
                            <td><?php echo $cus['cTitle'].'. '.$cus['cLastName'].'/'.$cus['cFastName'];?></td>
                            <td><?php echo $db->get_data($general->table(17),'uID',$in['createdBy'],'uFullName') ?></td>
                            <td><?php echo $general->make_date($in['createdOn'],'d_m_y') ;?> </td>
                            <td><?php echo number_format($in['tinBill']) ;?></td>
                            <td><?php echo number_format($in['tinFair']);?></td>
                            <td id="rec_tr_<?php echo $in['tinID'];?>"><?php echo number_format($in['tinReceive']) ;?></td>
                            <td id="due_tr_<?php echo $in['tinID'];?>"><?php echo number_format($in['tinDue']) ;?></td>
                            <td id="profit_tr_<?php echo $in['tinID'];?>"><?php echo number_format($in['tinProfit']);?></td>
                            <td class="cus_btn">
                                <a href="<?php echo URL ;?>?module=ticket&edit=<?php echo $in['tinID'];?>" class="">
                                    <i class="ace-icon fa fa-pencil bigger-120"></i>
                                </a>
                                &nbsp;&nbsp;
                                <a onclick="return confirm('Are you sure?')" href="<?php echo URL ;?>?module=ticket&delete=<?php echo $in['tinID'];?>" class="">
                                    <i class="ace-icon fa fa-trash-o bigger-120"></i>
                                </a>
                            </td>
                            <td class="cus_btn">
                                <button data-toggle="modal" data-target="#myModal" onclick="ticket_pay_log_modal(<?php echo $in['tinID'];?>)" class=""><i class="fa fa-credit-card-alt" aria-hidden="true"></i></button>

                                <?php
                                    $notice= $db->selectAll($general->table(26),' WHERE tinID='.$in['tinID'].' and tpAction=0');
                                    if(!empty($notice)){
                                    ?>
                                    <div id="notice_div_<?php echo $in['tinID'];;?>" class="commect">
                                        <?php echo $notice_count= count($notice);?>
                                    </div>
                                    <?php
                                    }
                                ?>
                            </td>
                            <td class="cus_btn"><a href="<?=URL?>/?print=ticket&ticket_id=<?=$in['tinID']?>" class="" target="_blank"><i class="fa fa-print" aria-hidden="true"></i>
                                </a>
                            </td>

                            <td class="cus_btn">
                                <button onclick="view_details(<?php echo $in['tinID'];?>)" class=""><i class="fa fa-plus"></i></button>
                            </td>

                        </tr>
                        <tr style="display: none" id="sub_row_<?php echo $in['tinID'];?>">
                            <td colspan="16">
                                <table class="table table-bordered crmmtop sub">
                                    <thead>
                                        <tr>
                                            <th>SL</th>
                                            <th class="detail-col stat">Name</th>
                                            <th>Ticket No</th>
                                            <th>Route</th>
                                            <th>Date</th>
                                            <th>Time</th>
                                            <th class="amount_td">Bill</th>
                                            <th class="amount_td">Fair</th>
                                            <th class="amount_td">Tax</th>
                                            <th class="amount_td">Recv.</th>
                                            <th class="amount_td">SRC.Amt</th>
                                            <th>pp file</th>
                                            <th>Pay</th>
                                            <th>Reissue</th>
                                            <!--<th>Refund</th>-->
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                            $v_details= $db->selectAll($general->table(24),' where tinID='.$in['tinID']);              
                                            $a=1;
                                            foreach($v_details as $vd){
                                                $ps_ho =$db->get_rowData($general->table(25),'tiID',$vd['tiID']);

                                                if($vd['tidType']==TICKET_TYPE_REISSUE){$tr_class='reissue';}
                                                elseif($vd['tidType']==TICKET_TYPE_REFUND){$tr_class='refund';}
                                                else{$tr_class='';}
                                            ?>

                                            <tr class="<?php echo $tr_class ;?>" id="holder_row_<?php echo $vd['tidID']?>">
                                                <td><?php echo $a;?> </td>
                                                <td><?php echo $ps_ho['tiName'] ;?> </td>
                                                <td><?php echo $ps_ho['tiTicketNo'];?> </td>
                                                <td><?php echo $ps_ho['tiRoute'];?> </td>
                                                <td>
                                                    <?php
                                                        if(!empty($ps_ho['tiDate'])){
                                                            echo $general->make_date($ps_ho['tiDate'],'d_m_y');
                                                        }
                                                    ?>
                                                </td> 
                                                <td>
                                                    <?php
                                                        if(!empty($ps_ho['tiTime'])){
                                                            echo $general->make_date($ps_ho['tiTime'],'only_time');
                                                        }
                                                    ?>
                                                </td>

                                                <td class="amount_td"><?php echo number_format($vd['tidSale']);?></td>
                                                <td class="amount_td"><?php echo number_format($vd['tidFare']);?> </td>
                                                <td class="amount_td"><?php echo number_format($vd['tidTax']);?> </td>
                                                <td id="rec_td_<?php echo $in['tinID'].$vd['tidID'];?>" class="amount_td"><?php echo number_format($vd['tidPaid']);?> </td>
                                                <td class="amount_td"><?php echo number_format($vd['tidSRC']);?> </td>
                                                <td>
                                                    <div id="pp_file_<?php echo $i.$a ;?>">
                                                        <?php
                                                            if(!empty($ps_ho['tiAttachPp'])){
                                                            ?>
                                                            <a target="_blank" href="<?php echo URL;?>/images/uploads/ticket_file/<?php echo urlencode($ps_ho['tiTicketNo']);?>/<?php echo $ps_ho['tiAttachPp'];?>">File PP.</a>
                                                            <?php
                                                            }else{
                                                                echo 'No file';
                                                            }
                                                        ?>
                                                        <?php
                                                            /*  if(!empty($EditStatus)){*/
                                                        ?>
                                                        <span><a onclick="file_change('pp_file_<?php echo $i.$a ;?>','pp_file_in_<?php echo $i.$a ;?>')" href="javascript:void(0)"><i class="fa fa-pencil" aria-hidden="true"></i></a></span>
                                                        <?php
                                                            /*   }*/
                                                        ?>
                                                    </div>
                                                    <div style="display: none;" id="pp_file_in_<?php echo $i.$a ;?>">

                                                        <input data-ftype="pp_file" data-pn="<?php echo $ps_ho['tiTicketNo'];?>" id="pp_file_up_<?php echo $i.$a ;?>" type="file" name="" onchange="$(this).addClass('needtoupload')" class="T_file">

                                                        <a onclick="file_change_close('pp_file_in_<?php echo $i.$a ;?>','pp_file_<?php echo $i.$a ;?>','pp_file_up_<?php echo $i.$a ;?>')" href="javascript:void(0)">X</a>
                                                    </div>
                                                </td>
                                                <td class="font_bnt">
                                                    <button onclick="ticket_pay_modal('<?php echo $vd['tidID'];?>','<?php echo $in['tinID'] ;?>')" data-toggle="modal" data-target="#myModal" class="pay"><i class="fa fa-money" aria-hidden="true"></i>
                                                    </button>
                                                </td>
                                                <td class="font_bnt">
                                                    <button onclick="ticket_reissue_modal('<?php echo $vd['tidID'];?>','<?php echo $in['tinID'] ;?>')" data-toggle="modal" data-target="#myModal" class="pay"><i class="fa fa-retweet" aria-hidden="true"></i>
                                                    </button>
                                                </td>
                                                <!--<td class="font_bnt">
                                                <button onclick="ticket_refund_modal('<?php echo $vd['tidID'];?>','<?php echo $in['tinID'] ;?>')" data-toggle="modal" data-target="#myModal" class="pay"><i class="fa fa-bolt" aria-hidden="true"></i>



                                                </button>
                                                </td>-->
                                            </tr> 

                                            <?php
                                                $a++;
                                            }   
                                        ?>
                                    </tbody>

                                </table>
                                <?php
                                    /* if(!empty($EditStatus)){*/
                                ?>
                                <button onclick="update_ticket_file(<?php echo $in['tinID'];?>)" class="btn btn_primary Second">Update</button>
                                <?php
                                    /*}*/
                                ?>

                            </td>

                        </tr>
                        <?php
                            $i++;
                        }
                    ?>
                </tbody>
            </table>
            <div class="pagined_footer">
                <ul class="pagination">

                </ul>
            </div>
        </div>
    </div>
    <?php
    }
?>



<div id="myModal" class="modal fade" role="dialog">
    <div class="modal-dialog">

        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal">&times;</button>
                <h4 id="modal_title" class="modal-title"></h4>
            </div>
            <div id="pay_error"></div>
            <div id="modal_body" class="modal-body">
            </div>
            <div class="modal-footer">
                <button id="pay_button" onclick="ticket_payment_submet()" type="button" class="btn btn-default send">Pay</button>
                <button id="reissue_button" style="display: none;" onclick="ticket_reissue_submet()" type="button" class="btn btn-default send">Submit</button>
                <button id="refund_button" style="display: none;" onclick="ticket_refund_submet()" type="button" class="btn btn-default send">Submit</button>
            </div>
        </div>

    </div>
</div>

<script type="text/javascript">
    function view_details(sl){
        $("#sub_row_"+sl).toggle(500);
    }
    function file_change(hide_id,show_id){
        $('#'+hide_id).hide(500);
        $('#'+show_id).show(500);
    }
    function file_change_close(hide_id,show_id,file_up){
        $('#'+hide_id).hide(500);
        $('#'+show_id).show(500);
        $('#'+file_up).val('');
    }
</script>
