<script type="text/javascript">
    var tableToExcel = (function() {
        var uri = 'data:application/vnd.ms-excel;base64,'
        , template = '<html xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns="http://www.w3.org/TR/REC-html40"><head><!--[if gte mso 9]><xml><x:ExcelWorkbook><x:ExcelWorksheets><x:ExcelWorksheet><x:Name>{worksheet}</x:Name><x:WorksheetOptions><x:DisplayGridlines/></x:WorksheetOptions></x:ExcelWorksheet></x:ExcelWorksheets></x:ExcelWorkbook></xml><![endif]--></head><body><table>{table}</table></body></html>'
        , base64 = function(s) { return window.btoa(unescape(encodeURIComponent(s))) }
        , format = function(s, c) { return s.replace(/{(\w+)}/g, function(m, p) { return c[p]; }) }
        return function(table, name) {
            if (!table.nodeType) table = document.getElementById(table)
            var ctx = {worksheet: name || 'Worksheet', table: table.innerHTML}
            window.location.href = uri + base64(format(template, ctx))
        }
    })()
</script>
<?php
    $where= ' WHERE ps.isActive=1';
    if(isset($_GET['search'])){
        if(!empty($_GET['cus_id'])){
            $cID=$_GET['cus_id'];
            $where.= ' AND vi.cID='.$cID;
        }
        if(!empty($_GET['pp_no'])){
            $pp_no=$_GET['pp_no'];
            $where.= " AND ps.psNumber LIKE '%".$pp_no."%'";
        }
        if(!empty($_GET['visa_cat'])){
            $cata= $_GET['visa_cat'];
            $where.= ' AND vd.vtID in ('.implode(',',$cata).')';
        }
        if(!empty($_GET['source'])){
            $s_id=$_GET['source'];
            $where.= ' AND vd.s_id='.$s_id;
        }
        if(!empty($_GET['status'])){
            $vsID=$_GET['status'];
            $where.= ' AND vd.vsID='.$vsID;
        }
        if(!empty($_GET['serve_by'])){
            $seID=$_GET['serve_by'];
            $where.= ' AND vi.createdBy='.$seID;
        }
        if(!empty($_GET['paid_status'])){
            $paid=$_GET['paid_status'];
            if($paid == 1){
                $where.= ' AND (vd.vidReceivable-vd.vidReceived)>0';  
            }
            elseif($paid == 2){
                $where.= ' AND (vd.vidReceivable-vd.vidReceived)=0';
            }
        }
        if(!empty($_GET['from_date']) && !empty($_GET['to_date'])){
            $from = strtotime($_GET['from_date']);
            $to = strtotime($_GET['to_date'])+86400;
            $where.= ' AND vi.createdOn between '.$from.' and '.$to;
        }

    }

    $query="SELECT 
    ps.psName,ps.psNumber,ps.psAttachPp,ps.psAttachPic,ps.psAttachTl,ps.pAttachCard,ps.psNote,
    vd.vidReceivable,vd.vidExpanse,vd.vidReceived,vi.viID,vi.createdBy,vi.createdOn,ca.vtTitle,s.s_sort_name,vd.vsID,vd.vidID,
    c.cTitle,c.cFastName,c.cLastName,c.uCode,c.cCode,c.cMobile
    FROM ".$general->table(5)." ps
    left join ".$general->table(4)." vd on(vd.psID=ps.psID)
    left join ".$general->table(3)." vi on(vi.viID=vd.viID)
    left join ".$general->table(22)." c on(c.cID=vi.cID)
    left join ".$general->table(53)." ca on(ca.vtID=vd.vtID)
    left join ".$general->table(9)." s on(s.s_id=vd.s_id)
    ".$where." GROUP BY ps.psID order by vi.createdOn desc";
    $visa_data=$db->fetchQuery($query);  
?>
<div class="main-content-inner">
    <div class="">
        <div id="message_show_box_for_json"></div>
        <div class="page-header">
            <h1>Status Report</h1>
        </div>
        <div class="row">
            <div class="col-xs-12">

                <form method="get" class="form-inline">
                    <input name="module" value="visa" type="hidden">
                    <input name="list" value="1" type="hidden">
                    <table>
                        <tr>
                            <td>Cus.ID&nbsp;</td>
                            <td>
                                <select class="form-control search_select_drop" name="cus_id">
                                    <option value="0">Customer ID</option>
                                    <?php
                                        $customer= $db->selectAll($general->table(22),'WHERE isActive=1');
                                        foreach($customer as $c){
                                        ?><option <?php if($c['cID']==@$_GET['cus_id']){?>selected="selected"<?php } ?> value="<?php echo $c['cID'];?>"><?php echo $c['uCode'].$c['cCode'];?></option><?php
                                        }
                                    ?>
                                </select>
                            </td>
                            <td>&nbsp;&nbsp;PP.No.</td>
                            <td><input name="pp_no" value="<?php echo @$_GET['pp_no'] ;?>" class="span5 abar2 pp_N" type="text"></td>
                            <td>&nbsp;Cate.</td>
                            <td>
                                <span class="dropdown-toggle abar3" data-toggle="dropdown" aria-expanded="false" value="affdf"><i class="fa fa-caret-down" aria-hidden="true" ></i>
                                </span>

                                <ul class="dropdown-menu Visa_cate1" role="menu">
                                    <?php
                                        if(isset($_GET['visa_cat'])){$cat_array=$_GET['visa_cat'];}else{$cat_array=array();}

                                        $category= $db->selectAll($general->table(53),' where isActive=1');
                                        foreach($category as $ca){
                                        ?>
                                        <li class="checkbox keep-open"><label><input <?php if(in_array($ca['vtID'],$cat_array)){?>checked<?php } ?>  name="visa_cat[]" value="<?php echo $ca['vtID'];?>" type="checkbox"><?php echo $ca['vtTitle'] ?></label></li>
                                        <?php
                                        }
                                    ?>
                                </ul>
                            </td>
                            <td>&nbsp;Src&nbsp;</td>
                            <td>
                                <select class="form-control search_select_drop" name="source">
                                    <option value="">Select</option>
                                    <?php
                                        $source  = $db->selectAll($general->table(9),' where isActive=1');
                                        foreach($source as $so){
                                        ?><option <?php if($so['s_id']==@$_GET['source']){?>selected="selected"<?php } ?> value="<?php echo $so['s_id'];?>"><?php echo $so['s_sort_name'] ;?></option><?php
                                        }
                                    ?> 
                                </select>
                            </td>
                            <td>&nbsp;&nbsp;Status&nbsp;</td>
                            <td>
                                <select class="form-control search_select_drop" name="status">
                                    <option value=" ">Select</option>
                                    <?php
                                        $status= $db->selectAll($general->table(12),' where isActive=1');
                                        foreach($status as $st){
                                        ?><option <?php if($st['vsID']==@$_GET['status']){?>selected="selected"<?php }?>  value="<?php echo $st['vsID'];?>"><?php echo $st['vsTitle'] ;?></option><?php
                                        }
                                    ?> 
                                </select>
                            </td>
                            <td>&nbsp;Serve By</td>
                            <td>
                                <select name="serve_by">
                                    <option value="">Select</option>
                                    <?php 
                                        $users = $db->selectAll($general->table(17),'where isActive = 1','uID,uFullName');
                                        foreach($users as $u){
                                        ?>
                                        <option <?php if($u['uID']==@$_GET['serve_by']){echo 'selected';} ?> value="<?php echo $u['uID'];?>"><?php echo $u['uFullName'];?></option>
                                        <?php
                                        }
                                    ?>
                                </select>
                            </td>
                            <td>&nbsp;&nbsp;P.Status&nbsp;</td>
                            <td>
                                <select name="paid_status">
                                    <option>Select</option>
                                    <option value="1" <?php echo (@$_GET['paid_status']==1)?'selected':'';?>>Due</option>
                                    <option value="2" <?php echo (@$_GET['paid_status']==2)?'selected':'';?>>Paid</option>
                                </select>
                            </td>
                            <td>&nbsp;From:</td>
                            <td>
                                <input required="required" name="from_date" value="<?php echo @$_GET['from_date']; ?>" class="<?php if(isset($_GET['from_date'])){echo 'datepicker';} else{ echo 'cdatepicker';}?> status_d"  type="text">   
                            </td>
                            <td>To:</td>
                            <td>
                                <input required="required" name="to_date" value="<?php echo @$_GET['to_date']; ?>" class="<?php if(isset($_GET['to_date'])){echo 'datepicker';} else{ echo 'cdatepicker';}?> status_d" type="text">
                            </td>
                            <td><button name="search" value="1" class="btn btn-success search_btn" type="submit"><span class="glyphicon glyphicon-search" aria-hidden="true"></span></button></td>
                        </tr>
                    </table>
                </form>
                <button style="float: right" type="button" onclick="tableToExcel('testTable', 'Status Report')"><img  src="images/excel_icon.png"></button>
            </div>
            <!-- <div class="col-xs-1">
                <button style="margin:2px;float: right" type="button" onclick="tableToExcel('testTable', 'Status Report')"><img  src="images/excel_icon.png"></button>
            </div> -->
        </div>
        <div class="row">
            <div class="col-xs-12">
                <div id="message_show_box"></div>
                <table class="table table-bordered" style="margin-top:10px" id="testTable">
                    <thead>
                        <tr>
                            <th>SL</th>
                            <th>P. Date</th>
                            <th>Name</th>
                            <th>P.P No</th>
                            <th class="stat1">C.Mobile</th>
                            <th>Category</th>
                            <th>Serve By</th>
                            <th>Bill</th>
                            <th>Expen.</th>
                            <th class="fixed">Due</th>
                            <th class="fixed">Profit</th>
                            <th>Source</th>
                            <th>Note</th>
                            <th class="staT">Status</th>
                            <th colspan="4" class="attach">Attach</th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php
                            $i=1;
                            $tReceivable = 0;
                            $tExpanse = 0;
                            $tDue = 0;
                            $tProfit = 0;
                            foreach($visa_data as $visa){
                            ?>
                            <tr id="holder_row_9">
                                <td>
                                <?php echo $i++;?> 
                                <input type="hidden" class="vidID" value="<?php echo $visa['vidID'] ;?>"> 
                                </td>
                                <td><?php echo $general->make_date($visa['createdOn'],'d_m_y') ?></td> 
                                <td><?php echo $visa['psName'] ;?></td>
                                <td><?php echo $visa['psNumber'];?></td>
                                <td><?php echo $visa['cMobile'];?></td>
                                <td><?php echo $visa['vtTitle'] ;?></td>
                                <td><?php echo $db->get_data($general->table(17),'uID',$visa['createdBy'],'uLoginName') ?></td>
                                <td class="amount_td"><?php echo number_format($visa['vidReceivable']); $tReceivable = $tReceivable+$visa['vidReceivable'];?></td>
                                <td class="amount_td"><?php echo number_format($visa['vidExpanse']); $tExpanse = $tExpanse+$visa['vidExpanse'];?></td>
                                <td class="amount_td"><?php echo number_format($due = $visa['vidReceivable']-$visa['vidReceived']); $tDue = $tDue+$due;?></td>
                                <td class="amount_td"><?php echo number_format($profit = $visa['vidReceived']-$visa['vidExpanse']); $tProfit =$tProfit+$profit;?></td>
                                <td><?php echo $visa['s_sort_name'];?> </td>
                                <td><?php echo $general->content_show($visa['psNote']);?> </td>
                                <td class="staT">
                                <select class="v_status_<?php echo $visa['viID'];?> form-control v_status">
                                    <?php
                                        $status= $db->selectAll($general->table(12),' WHERE isActive=1');
                                        foreach($status as $st){
                                        ?>
                                        <option <?php if($visa['vsID']==$st['vsID']){?>selected=""<?php } ?> value="<?php echo $st['vsID'];?>"><?php echo $st['vsTitle'] ;?></option>
                                        <?php
                                        }
                                    ?>
                                </select>
                                </td>

                                <td class="V_attach">
                                    <?php
                                        if(!empty($visa['psAttachPp'])){
                                        ?>
                                        <a class="example-image-link" data-lightbox="example-1" target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($visa['psNumber']);?>/<?php echo $visa['psAttachPp'];?>"><img style="display: none" class="example-image" src="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($visa['psNumber']);?>/<?php echo $visa['psAttachPp'];?>">PP</a>
                                        <?php
                                        }else{
                                            echo 'x';
                                        }
                                    ?>
                                </td>
                                <td class="V_attach">
                                    <?php
                                        if(!empty($visa['psAttachPic'])){
                                        ?>
                                        <a class="example-image-link" data-lightbox="example-1" target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($visa['psNumber']);?>/<?php echo $visa['psAttachPic'];?>"><img style="display: none" class="example-image" src="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($visa['psNumber']);?>/<?php echo $visa['psAttachPic'];?>">Photo</a>
                                        <?php
                                        }else{
                                            echo 'x';
                                        }
                                    ?>
                                </td>
                                <td class="V_attach">
                                    <?php
                                        if(!empty($visa['psAttachTl'])){
                                        ?>
                                        <a class="example-image-link" data-lightbox="example-1" target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($visa['psNumber']);?>/<?php echo $visa['psAttachTl'];?>"><img style="display: none" class="example-image" src="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($visa['psNumber']);?>/<?php echo $visa['psAttachTl'];?>">T.L.</a>
                                        <?php
                                        }else{
                                            echo 'x';
                                        }
                                    ?>
                                </td>
                                <td class="V_attach">
                                    <?php
                                        if(!empty($visa['pAttachCard'])){
                                        ?>
                                        <a class="example-image-link" data-lightbox="example-1" target="_blank" href="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($visa['psNumber']);?>/<?php echo $visa['pAttachCard'];?>"><img style="display: none" class="example-image" src="<?php echo URL;?>/images/uploads/visa_file/<?php echo urlencode($visa['psNumber']);?>/<?php echo $visa['pAttachCard'];?>">V.C.</a>
                                        <?php
                                        }else{
                                            echo 'x';
                                        }
                                    ?>
                                </td> 
                            </tr>
                            <?php
                            }
                        ?>
                        <tr>
                            <th colspan="7">Total</th>
                            <th class="amount_td"><?php echo number_format($tReceivable);?></th>
                            <th class="amount_td"><?php echo number_format($tExpanse);?></th>
                            <th class="amount_td"><?php echo number_format($tDue);?></th>
                            <th class="amount_td"><?php echo number_format($tProfit);?></th>
                            <th></th>
                            <th></th>
                            <th colspan="5"></th>
                        </tr>
                    </tbody>
                </table>
                <button onclick="update_visa_status_report(<?php echo $visa['viID'];?>)" class="btn update">Update</button>
                <div class="pagined_footer">
                    <ul class="pagination">

                    </ul>
                </div>
            </div>
        </div>


        <script type="text/javascript">
            function view_details(sl) {
                $("#sub_row_" + sl).toggle(500);
            }

            function file_change(hide_id, show_id) {
                $('#' + hide_id).hide(500);
                $('#' + show_id).show(500);
            }

            function file_change_close(hide_id, show_id, file_up) {
                $('#' + hide_id).hide(500);
                $('#' + show_id).show(500);
                $('#' + file_up).val('');
            }
        </script>

        <script>
            $('.keep-open').click(function(e) {
                if (/input|label/i.test(e.target.tagName)) {
                    var parent = $(e.target).parent();
                    if (parent.hasClass('checkbox')) {
                        var checkbox = parent.find('input[type=checkbox]');
                        checkbox.prop("checked", !checkbox.prop("checked"));
                        return false;
                    }
                }
            });
        </script>
    </div>
    <!-- /.page-content -->
    </div>
    